Bug 1346020 - wrong filepaths reported on "Ceph Cluster Configuration" tab of ceph cluster page
Summary: wrong filepaths reported on "Ceph Cluster Configuration" tab of ceph cluster ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ---
: 2
Assignee: kamlesh
QA Contact: Martin Bukatovic
URL:
Whiteboard:
Depends On:
Blocks: Console-2-DevFreeze
TreeView+ depends on / blocked
 
Reported: 2016-06-13 16:57 UTC by Martin Bukatovic
Modified: 2016-08-23 19:55 UTC (History)
7 users (show)

Fixed In Version: rhscon-core-0.0.32-1.el7scon
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:55:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of cluster configuration tab (77.62 KB, image/png)
2016-06-13 16:58 UTC, Martin Bukatovic
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1754 normal SHIPPED_LIVE New packages: Red Hat Storage Console 2.0 2017-04-18 19:09:06 UTC

Description Martin Bukatovic 2016-06-13 16:57:10 UTC
Description of problem
======================

There are incorrect filepaths in *General Cluster setting and defaults* table
on *Ceph Cluster Configuration* page available from *Configuration* tab of a
cluster page.

Version-Release
=============== 

rhscon-ceph-0.0.20-1.el7scon.x86_64
rhscon-core-0.0.21-1.el7scon.x86_64
rhscon-ui-0.0.34-1.el7scon.noarch

How reproducible
================

100 %

Steps to Reproduce
==================

1. Install RHSC 2.0 following the documentation.
2. Accept few nodes for the ceph cluster.
3. Create new ceph cluster named 'alpha'.
4. Go to Clusters, select cluster 'alpha' to open it's cluster page,
   and then click on 'Configuration' tab there.
5. See flesystem paths *General Cluster setting and defaults* table
   such as:

    * Keyring file Path
    * Default Log File
    * Default Journal Path
    * Default OSD Data Path

Actual results
==============

In my case, I see the following values:

 * "Keyring file Path":      /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring
 * "Default Log File":       /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log
 * "Default Journal Path":   /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal
 * "Default OSD Data Path":  /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1

Checking the values on some OSD machine:

~~~
# ls -ld /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1
ls: cannot access /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring: No such file or directory
ls: cannot access /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log: No such file or directory
ls: cannot access /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal: No such file or directory
ls: cannot access /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1: No such file or directory
~~~

Similar results are shown when I run this check on some MON machine:

~~~
# ls -ld /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1
ls: cannot access /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring: No such file or directory
ls: cannot access /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log: No such file or directory
ls: cannot access /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal: No such file or directory
ls: cannot access /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1: No such file or directory
~~~

The only value which is not entirely made up is *Default Log File*, which
actually exists on given path, but only on mbukatov-usm1-mon1 machine:

~~~
# ls -ld /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1
ls: cannot access /etc/ceph/alpha.mon.mbukatov-usm1-mon1.keyring: No such file or directory
ls: cannot access /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1/journal: No such file or directory
ls: cannot access /var/lib/ceph/osd/alpha-mbukatov-usm1-mon1: No such file or directory
-rw-r--r--. 1 ceph ceph 1922666 Jun 13 18:21 /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log
~~~

Expected results
================

Let's start with OSD specific file paths. The correct values for 1st OSD are:

 * "Default OSD Data Path": /var/lib/ceph/osd/alpha-0/
 * "Default Journal Path":  /var/lib/ceph/osd/alpha-0/journal

The problem is that OSD data path directory name would be unique for each OSD
(obviously), eg. on different machine there is:

 * "Default OSD Data Path": /var/lib/ceph/osd/alpha-4/
 * "Default Journal Path":  /var/lib/ceph/osd/alpha-4/journal

So the question is: what should be actually reported there? Some template?

The correct path of cephx keyring which is generated on MON machines is:

 * "Keyring file Path": /etc/ceph/alpha.client.admin.keyring

The only possible issue here is that this keyfile is present on MON machines
only, which may not be obvious from this table. While this is similar to OSD
data directories, which are (obviously) present on OSD machines only, it may
be a good idea to rename the title of this value in the table to make this
a bit more clear.

And the last one, default log file is tricky as well, as there are multiple
ceph logs files and I'm not sure which one to report there for the entrire
cluster.

On OSD machine, there are:

 * /var/log/ceph/ceph-osd.admin.log
 * /var/log/ceph/alpha-osd.0.log (one for each OSD on the machine)

On the MON machine, there are:

 * /var/log/ceph/alpha.log
 * /var/log/ceph/alpha.audit.log
 * /var/log/ceph/alpha-mon.mbukatov-usm1-mon1.log (for MON on the machine)

And so the question here is again: what would make sense to report there?

Comment 1 Martin Bukatovic 2016-06-13 16:58:33 UTC
Created attachment 1167551 [details]
screenshot of cluster configuration tab

Comment 2 Martin Bukatovic 2016-06-13 17:01:47 UTC
Asking design team for evaluation.

Comment 3 Martin Bukatovic 2016-06-13 17:23:04 UTC
And there is another problem with showing value of "osd journal" as "Default
Journal Path" as it's designed/implemented right now. 

The upstream documentation[1] states the following:

> Description:    The path to the OSD’s journal. This may be a path to a file or
>                 a block device (such as a partition of an SSD). If it is a
>                 file, you must create the directory to contain it. We recommend
>                 using a drive separate from the osd data drive.
> Type:           String
> Default:        /var/lib/ceph/osd/$cluster-$id/journal

On the one hand this looks good as there seems to be no conflict with the
documentation. On the other hand when I look how the OSD machine has been
configured by RHSC 2.0, I see:

~~~
# ls -l /var/lib/ceph/osd/alpha-0/journal
lrwxrwxrwx. 1 ceph ceph 58 Jun 13 16:11 /var/lib/ceph/osd/alpha-0/journal -> /dev/disk/by-partuuid/b430a804-c06e-4da8-8b9d-f643f72714fa
~~~

Which means that while reporting just path to the default journal file/device
is correct, it doesn't show me:

 * whether ceph stores the journal on the same disk as the OSD data
 * which device is actually used (when journal is stored on a dedicated device)

Comment 4 Ju Lim 2016-06-13 18:13:08 UTC
For the filepaths, the intent was to show what the defaults are in the ceph.conf file (on a Mon):

    * Keyring file Path
    * Default Log File
    * Default Journal Path
    * Default OSD Data Path

In looking at the Ceph defaults (reference: https://github.com/ceph/ceph/blob/master/src/sample.ceph.conf) they would look like the following:

 * Keyring file Path:      /var/lib/ceph/mds/{$cluster-name}/keyring
 * Default Log File:       /var/log/ceph/{$cluster-name}.log
 * Default Journal Path:   /var/lib/ceph/osd/{$cluster-name}/journal
 * Default OSD Data Path:  /var/lib/ceph/osd/{$cluster-name}

This is intended to help user know where logs are, and where the default file paths are for the keyrings, journals, and OSDs.

To MartinB's point about not indicating if the journal and OSDs are on the same disk, for downstream, this is not a supported configuration.  The configuration for a cluster (in Cluster Object Details > Configuration) is not intended to tell you if a journal is stored on a dedicated device or not.  To do so, you'd have to look at the OSD tab to view the OSD and paired journal in the details in the far right pane.

Comment 5 Nishanth Thomas 2016-06-16 06:02:28 UTC
We just dump the information coming from this calamari API for most of these items on this screen

https://<IP>:8002/api/v2/cluster/<cluster-id>/config 
sample output of the API is given below

Question to Ju, My assumption is that we need to display the default paths here, not the exact ones right? if that is the case, harcoding(values as mentioned in comment4) the values good enough? In Any case need to file a bug on calamari API to get this corrected??

================================================================================
Configuration settings from a Ceph Cluster.
GET /api/v2/cluster/a095a88b-8418-4b57-92dd-168cb7544e4a/config
HTTP 200 OK
Vary: Accept
Content-Type: text/html; charset=utf-8
Allow: GET, HEAD, OPTIONS

[
    {
        "key": "auth_mon_ticket_ttl", 
        "value": "43200"
    }, 
    {
        "key": "mds_tick_interval", 
        "value": "5"
    }, 
    {
        "key": "filestore_punch_hole", 
        "value": "false"
    }, 
    {
        "key": "bluestore_sync_submit_transaction", 
        "value": "false"
    }, 
    {
        "key": "ms_inject_delay_max", 
        "value": "1"
    }, 
    {
        "key": "async_compressor_thread_suicide_timeout", 
        "value": "30"
    }, 
    {
        "key": "crushtool", 
        "value": "crushtool"
    }, 
    {
        "key": "rgw_swift_auth_url", 
        "value": ""
    }, 
    {
        "key": "osd_debug_scrub_chance_rewrite_digest", 
        "value": "0"
    }, 
    {
        "key": "rocksdb_log_to_ceph_log", 
        "value": "true"
    }, 
    {
        "key": "osd_objectstore_fuse", 
        "value": "false"
    }, 
    {
        "key": "rgw_ldap_dnattr", 
        "value": "uid"
    }, 
    {
        "key": "rgw_bucket_default_quota_max_objects", 
        "value": "-1"
    }, 
    {
        "key": "rbd_default_stripe_count", 
        "value": "0"
    }, 
    {
        "key": "mon_osd_laggy_weight", 
        "value": "0.3"
    }, 
    {
        "key": "mon_max_pgmap_epochs", 
        "value": "500"
    }, 
    {
        "key": "filestore_apply_finisher_threads", 
        "value": "1"
    }, 
    {
        "key": "mon_daemon_bytes", 
        "value": "419430400"
    }, 
    {
        "key": "client_cache_size", 
        "value": "16384"
    }, 
    {
        "key": "ms_async_send_inline", 
        "value": "true"
    }, 
    {
        "key": "osd_use_stale_snap", 
        "value": "false"
    }, 
    {
        "key": "kstore_max_ops", 
        "value": "512"
    }, 
    {
        "key": "auth_client_required", 
        "value": "cephx, none"
    }, 
    {
        "key": "osd_deep_scrub_update_digest_min_age", 
        "value": "7200"
    }, 
    {
        "key": "bluestore_wal_max_bytes", 
        "value": "134217728"
    }, 
    {
        "key": "client_readahead_max_periods", 
        "value": "4"
    }, 
    {
        "key": "mon_probe_timeout", 
        "value": "2"
    }, 
    {
        "key": "osd_enable_op_tracker", 
        "value": "true"
    }, 
    {
        "key": "mon_osd_allow_primary_affinity", 
        "value": "false"
    }, 
    {
        "key": "mon_osd_laggy_halflife", 
        "value": "3600"
    }, 
    {
        "key": "rgw_keystone_admin_token", 
        "value": ""
    }, 
    {
        "key": "mds_max_purge_files", 
        "value": "64"
    }, 
    {
        "key": "osd_recover_clone_overlap_limit", 
        "value": "10"
    }, 
    {
        "key": "bluestore_block_wal_size", 
        "value": "100663296"
    }, 
    {
        "key": "osd_scrub_chunk_max", 
        "value": "25"
    }, 
    {
        "key": "osd_os_flags", 
        "value": "0"
    }, 
    {
        "key": "rgw_swift_url_prefix", 
        "value": "swift"
    }, 
    {
        "key": "mon_debug_dump_location", 
        "value": "/var/log/ceph/ceph-mon.dhcp46-104.tdump"
    }, 
    {
        "key": "osd_deep_scrub_randomize_ratio", 
        "value": "0.15"
    }, 
    {
        "key": "cephx_service_require_signatures", 
        "value": "false"
    }, 
    {
        "key": "rgw_data", 
        "value": "/var/lib/ceph/radosgw/ceph-dhcp46-104"
    }, 
    {
        "key": "paxos_max_join_drift", 
        "value": "10"
    }, 
    {
        "key": "debug_osd", 
        "value": "0/5"
    }, 
    {
        "key": "mds_kill_journal_replay_at", 
        "value": "0"
    }, 
    {
        "key": "paxos_trim_min", 
        "value": "250"
    }, 
    {
        "key": "bluestore_bluefs_reclaim_ratio", 
        "value": "0.2"
    }, 
    {
        "key": "auth_service_required", 
        "value": "cephx"
    }, 
    {
        "key": "rbd_validate_pool", 
        "value": "true"
    }, 
    {
        "key": "filestore_debug_inject_read_err", 
        "value": "false"
    }, 
    {
        "key": "mds_snap_max_uid", 
        "value": "65536"
    }, 
    {
        "key": "mds_bal_split_wr", 
        "value": "10000"
    }, 
    {
        "key": "rgw_multipart_min_part_size", 
        "value": "5242880"
    }, 
    {
        "key": "rgw_period_push_interval_max", 
        "value": "30"
    }, 
    {
        "key": "filestore_queue_max_bytes", 
        "value": "104857600"
    }, 
    {
        "key": "rgw_log_object_name", 
        "value": "%Y-%m-%d-%H-%i-%n"
    }, 
    {
        "key": "heartbeat_file", 
        "value": ""
    }, 
    {
        "key": "filestore_wbthrottle_btrfs_ios_start_flusher", 
        "value": "500"
    }, 
    {
        "key": "public_network", 
        "value": ""
    }, 
    {
        "key": "mon_pg_min_inactive", 
        "value": "1"
    }, 
    {
        "key": "debug_mds_balancer", 
        "value": "1/5"
    }, 
    {
        "key": "ms_type", 
        "value": "simple"
    }, 
    {
        "key": "osd_pool_default_min_size", 
        "value": "0"
    }, 
    {
        "key": "filestore_update_to", 
        "value": "1000"
    }, 
    {
        "key": "rbd_journal_object_flush_age", 
        "value": "0"
    }, 
    {
        "key": "mds_bal_need_max", 
        "value": "1.2"
    }, 
    {
        "key": "rgw_zonegroup", 
        "value": ""
    }, 
    {
        "key": "client_mount_gid", 
        "value": "-1"
    }, 
    {
        "key": "debug_crypto", 
        "value": "1/5"
    }, 
    {
        "key": "osd_max_pgls", 
        "value": "1024"
    }, 
    {
        "key": "rbd_non_blocking_aio", 
        "value": "true"
    }, 
    {
        "key": "rgw_objexp_chunk_size", 
        "value": "100"
    }, 
    {
        "key": "rgw_default_zonegroup_info_oid", 
        "value": "default.zonegroup"
    }, 
    {
        "key": "mon_inject_transaction_delay_probability", 
        "value": "0"
    }, 
    {
        "key": "rgw_swift_account_in_url", 
        "value": "false"
    }, 
    {
        "key": "mon_pg_stuck_threshold", 
        "value": "300"
    }, 
    {
        "key": "journaler_write_head_interval", 
        "value": "15"
    }, 
    {
        "key": "filestore_wbthrottle_xfs_inodes_start_flusher", 
        "value": "500"
    }, 
    {
        "key": "kinetic_host", 
        "value": ""
    }, 
    {
        "key": "debug_compressor", 
        "value": "1/5"
    }, 
    {
        "key": "debug_none", 
        "value": "0/5"
    }, 
    {
        "key": "debug_crush", 
        "value": "1/1"
    }, 
    {
        "key": "mon_clock_drift_allowed", 
        "value": "0.05"
    }, 
    {
        "key": "rgw_init_timeout", 
        "value": "300"
    }, 
    {
        "key": "osd_verify_sparse_read_holes", 
        "value": "false"
    }, 
    {
        "key": "mds_replay_interval", 
        "value": "1"
    }, 
    {
        "key": "osd_tier_default_cache_mode", 
        "value": "writeback"
    }, 
    {
        "key": "osd_debug_randomize_hobject_sort_order", 
        "value": "false"
    }, 
    {
        "key": "mds_snap_rstat", 
        "value": "false"
    }, 
    {
        "key": "osd_max_scrubs", 
        "value": "1"
    }, 
    {
        "key": "erasure_code_dir", 
        "value": "/usr/lib64/ceph/erasure-code"
    }, 
    {
        "key": "mds_kill_journal_at", 
        "value": "0"
    }, 
    {
        "key": "cluster_addr", 
        "value": ":/0"
    }, 
    {
        "key": "async_compressor_threads", 
        "value": "2"
    }, 
    {
        "key": "mon_client_hunt_interval", 
        "value": "3"
    }, 
    {
        "key": "osd_pg_object_context_cache_count", 
        "value": "64"
    }, 
    {
        "key": "log_to_syslog", 
        "value": "false"
    }, 
    {
        "key": "mon_compact_on_trim", 
        "value": "true"
    }, 
    {
        "key": "filestore_max_alloc_hint_size", 
        "value": "1048576"
    }, 
    {
        "key": "bdev_nvme_unbind_from_kernel", 
        "value": "false"
    }, 
    {
        "key": "xio_mp_max_1k", 
        "value": "8192"
    }, 
    {
        "key": "rbd_validate_names", 
        "value": "true"
    }, 
    {
        "key": "mon_max_mdsmap_epochs", 
        "value": "500"
    }, 
    {
        "key": "osd_debug_verify_snaps_on_info", 
        "value": "false"
    }, 
    {
        "key": "rbd_balance_parent_reads", 
        "value": "false"
    }, 
    {
        "key": "bluefs_alloc_size", 
        "value": "1048576"
    }, 
    {
        "key": "mds_action_on_write_error", 
        "value": "1"
    }, 
    {
        "key": "objecter_inject_no_watch_ping", 
        "value": "false"
    }, 
    {
        "key": "paxos_kill_at", 
        "value": "0"
    }, 
    {
        "key": "rgw_default_zone_info_oid", 
        "value": "default.zone"
    }, 
    {
        "key": "mds_wipe_ino_prealloc", 
        "value": "false"
    }, 
    {
        "key": "osd_max_push_objects", 
        "value": "10"
    }, 
    {
        "key": "objecter_timeout", 
        "value": "10"
    }, 
    {
        "key": "osd_agent_max_ops", 
        "value": "4"
    }, 
    {
        "key": "osd_heartbeat_addr", 
        "value": ":/0"
    }, 
    {
        "key": "mon_osd_down_out_interval", 
        "value": "300"
    }, 
    {
        "key": "rgw_bucket_quota_ttl", 
        "value": "600"
    }, 
    {
        "key": "fatal_signal_handlers", 
        "value": "true"
    }, 
    {
        "key": "mon_debug_unsafe_allow_tier_with_nonempty_snaps", 
        "value": "false"
    }, 
    {
        "key": "mds_bal_merge_wr", 
        "value": "1000"
    }, 
    {
        "key": "osd_pg_bits", 
        "value": "6"
    }, 
    {
        "key": "paxos_service_trim_max", 
        "value": "500"
    }, 
    {
        "key": "mon_session_timeout", 
        "value": "300"
    }, 
    {
        "key": "filestore_caller_concurrency", 
        "value": "10"
    }, 
    {
        "key": "osd_tier_default_cache_hit_set_period", 
        "value": "1200"
    }, 
    {
        "key": "objecter_tick_interval", 
        "value": "5"
    }, 
    {
        "key": "mon_pg_create_interval", 
        "value": "30"
    }, 
    {
        "key": "osd_pg_log_trim_min", 
        "value": "100"
    }, 
    {
        "key": "filestore_debug_omap_check", 
        "value": "false"
    }, 
    {
        "key": "rgw_ops_log_rados", 
        "value": "true"
    }, 
    {
        "key": "kstore_fsck_on_mount", 
        "value": "false"
    }, 
    {
        "key": "mds_kill_journal_expire_at", 
        "value": "0"
    }, 
    {
        "key": "daemonize", 
        "value": "false"
    }, 
    {
        "key": "rbd_default_format", 
        "value": "2"
    }, 
    {
        "key": "mon_client_hunt_interval_max_multiple", 
        "value": "10"
    }, 
    {
        "key": "rocksdb_db_paths", 
        "value": ""
    }, 
    {
        "key": "xio_trace_xcon", 
        "value": "false"
    }, 
    {
        "key": "mon_reweight_max_osds", 
        "value": "4"
    }, 
    {
        "key": "rgw_keystone_token_cache_size", 
        "value": "10000"
    }, 
    {
        "key": "osd_hit_set_namespace", 
        "value": ".ceph-internal"
    }, 
    {
        "key": "mds_bal_minchunk", 
        "value": "0.001"
    }, 
    {
        "key": "bluestore_kvbackend", 
        "value": "rocksdb"
    }, 
    {
        "key": "filestore_wbthrottle_xfs_inodes_hard_limit", 
        "value": "5000"
    }, 
    {
        "key": "mds_health_summarize_threshold", 
        "value": "10"
    }, 
    {
        "key": "mon_initial_members", 
        "value": ""
    }, 
    {
        "key": "mon_scrub_inject_crc_mismatch", 
        "value": "0"
    }, 
    {
        "key": "filestore_split_multiple", 
        "value": "2"
    }, 
    {
        "key": "osd_recovery_sleep", 
        "value": "0"
    }, 
    {
        "key": "mds_kill_rename_at", 
        "value": "0"
    }, 
    {
        "key": "mon_osd_nearfull_ratio", 
        "value": "0.85"
    }, 
    {
        "key": "debug_tp", 
        "value": "0/5"
    }, 
    {
        "key": "filestore_btrfs_clone_range", 
        "value": "true"
    }, 
    {
        "key": "osd_mon_shutdown_timeout", 
        "value": "5"
    }, 
    {
        "key": "bluestore_debug_freelist", 
        "value": "false"
    }, 
    {
        "key": "bluestore_onode_map_size", 
        "value": "1024"
    }, 
    {
        "key": "client_oc_max_dirty", 
        "value": "104857600"
    }, 
    {
        "key": "perf", 
        "value": "true"
    }, 
    {
        "key": "filestore_max_inline_xattr_size_btrfs", 
        "value": "2048"
    }, 
    {
        "key": "osd_check_for_log_corruption", 
        "value": "false"
    }, 
    {
        "key": "rbd_journal_order", 
        "value": "24"
    }, 
    {
        "key": "osd_pool_default_flag_nopgchange", 
        "value": "false"
    }, 
    {
        "key": "setuser_match_path", 
        "value": ""
    }, 
    {
        "key": "rgw_keystone_accepted_roles", 
        "value": "Member, admin"
    }, 
    {
        "key": "crush_location", 
        "value": ""
    }, 
    {
        "key": "xio_mp_max_256", 
        "value": "8192"
    }, 
    {
        "key": "log_graylog_host", 
        "value": "127.0.0.1"
    }, 
    {
        "key": "pid_file", 
        "value": ""
    }, 
    {
        "key": "xio_mp_max_64", 
        "value": "65536"
    }, 
    {
        "key": "mon_scrub_max_keys", 
        "value": "100"
    }, 
    {
        "key": "osd_op_thread_suicide_timeout", 
        "value": "150"
    }, 
    {
        "key": "max_mds", 
        "value": "1"
    }, 
    {
        "key": "cephx_cluster_require_signatures", 
        "value": "false"
    }, 
    {
        "key": "restapi_base_url", 
        "value": ""
    }, 
    {
        "key": "lockdep_force_backtrace", 
        "value": "false"
    }, 
    {
        "key": "bluestore_max_dir_size", 
        "value": "1000000"
    }, 
    {
        "key": "ms_die_on_skipped_message", 
        "value": "false"
    }, 
    {
        "key": "osd_command_max_records", 
        "value": "256"
    }, 
    {
        "key": "mon_max_pool_pg_num", 
        "value": "65536"
    }, 
    {
        "key": "bluestore_bluefs_min", 
        "value": "1073741824"
    }, 
    {
        "key": "ms_inject_delay_msg_type", 
        "value": ""
    }, 
    {
        "key": "mon_cluster_log_file_level", 
        "value": "info"
    }, 
    {
        "key": "mds_kill_export_at", 
        "value": "0"
    }, 
    {
        "key": "rbd_cache_max_dirty_age", 
        "value": "1"
    }, 
    {
        "key": "mds_inject_traceless_reply_probability", 
        "value": "0"
    }, 
    {
        "key": "mds_standby_for_name", 
        "value": ""
    }, 
    {
        "key": "chdir", 
        "value": "/"
    }, 
    {
        "key": "mds_kill_mdstable_at", 
        "value": "0"
    }, 
    {
        "key": "mon_client_hunt_interval_backoff", 
        "value": "2"
    }, 
    {
        "key": "client_try_dentry_invalidate", 
        "value": "true"
    }, 
    {
        "key": "rgw_dns_name", 
        "value": ""
    }, 
    {
        "key": "bluestore_max_bytes", 
        "value": "67108864"
    }, 
    {
        "key": "osd_pool_default_pg_num", 
        "value": "8"
    }, 
    {
        "key": "debug_objecter", 
        "value": "0/1"
    }, 
    {
        "key": "rbd_clone_copy_on_read", 
        "value": "false"
    }, 
    {
        "key": "osd_op_complaint_time", 
        "value": "30"
    }, 
    {
        "key": "debug_kinetic", 
        "value": "1/5"
    }, 
    {
        "key": "filestore_max_xattr_value_size", 
        "value": "0"
    }, 
    {
        "key": "mon_data", 
        "value": "/var/lib/ceph/mon/ceph-dhcp46-104"
    }, 
    {
        "key": "filestore_journal_parallel", 
        "value": "false"
    }, 
    {
        "key": "rgw_keystone_admin_password", 
        "value": ""
    }, 
    {
        "key": "journaler_prefetch_periods", 
        "value": "10"
    }, 
    {
        "key": "clock_offset", 
        "value": "0"
    }, 
    {
        "key": "mon_data_avail_warn", 
        "value": "30"
    }, 
    {
        "key": "fuse_big_writes", 
        "value": "true"
    }, 
    {
        "key": "inject_early_sigterm", 
        "value": "false"
    }, 
    {
        "key": "mon_osd_prime_pg_temp", 
        "value": "true"
    }, 
    {
        "key": "client_oc_max_dirty_age", 
        "value": "5"
    }, 
    {
        "key": "rgw_expose_bucket", 
        "value": "false"
    }, 
    {
        "key": "osd_backfill_scan_max", 
        "value": "512"
    }, 
    {
        "key": "osd_pool_use_gmt_hitset", 
        "value": "true"
    }, 
    {
        "key": "mon_osd_reporter_subtree_level", 
        "value": "host"
    }, 
    {
        "key": "filestore_wbthrottle_btrfs_inodes_hard_limit", 
        "value": "5000"
    }, 
    {
        "key": "kstore_onode_map_size", 
        "value": "1024"
    }, 
    {
        "key": "fuse_multithreaded", 
        "value": "true"
    }, 
    {
        "key": "rgw_log_object_name_utc", 
        "value": "false"
    }, 
    {
        "key": "xio_queue_depth", 
        "value": "128"
    }, 
    {
        "key": "bluestore_block_create", 
        "value": "true"
    }, 
    {
        "key": "mon_warn_on_cache_pools_without_hit_sets", 
        "value": "true"
    }, 
    {
        "key": "rgw_objexp_gc_interval", 
        "value": "600"
    }, 
    {
        "key": "mon_warn_on_no_sortbitwise", 
        "value": "true"
    }, 
    {
        "key": "journal_max_corrupt_search", 
        "value": "10485760"
    }, 
    {
        "key": "client_check_pool_perm", 
        "value": "true"
    }, 
    {
        "key": "mds_bal_max_until", 
        "value": "-1"
    }, 
    {
        "key": "ms_rwthread_stack_bytes", 
        "value": "1048576"
    }, 
    {
        "key": "debug_asok", 
        "value": "1/5"
    }, 
    {
        "key": "osd_op_pq_min_cost", 
        "value": "65536"
    }, 
    {
        "key": "mds_early_reply", 
        "value": "true"
    }, 
    {
        "key": "rgw_usage_log_flush_threshold", 
        "value": "1024"
    }, 
    {
        "key": "osd_map_dedup", 
        "value": "true"
    }, 
    {
        "key": "bluestore_debug_prefill", 
        "value": "0"
    }, 
    {
        "key": "mon_subscribe_interval", 
        "value": "86400"
    }, 
    {
        "key": "rbd_op_thread_timeout", 
        "value": "60"
    }, 
    {
        "key": "mon_sync_debug_provider_fallback", 
        "value": "-1"
    }, 
    {
        "key": "leveldb_bloom_size", 
        "value": "0"
    }, 
    {
        "key": "debug_timer", 
        "value": "0/1"
    }, 
    {
        "key": "paxos_min", 
        "value": "500"
    }, 
    {
        "key": "threadpool_empty_queue_max_wait", 
        "value": "2"
    }, 
    {
        "key": "mds_standby_for_fscid", 
        "value": "-1"
    }, 
    {
        "key": "osd_pool_erasure_code_stripe_width", 
        "value": "4096"
    }, 
    {
        "key": "rbd_journal_pool", 
        "value": ""
    }, 
    {
        "key": "osd_max_push_cost", 
        "value": "8388608"
    }, 
    {
        "key": "bluestore_fsck_on_umount", 
        "value": "false"
    }, 
    {
        "key": "heartbeat_inject_failure", 
        "value": "0"
    }, 
    {
        "key": "osd_loop_before_reset_tphandle", 
        "value": "64"
    }, 
    {
        "key": "bluestore_rocksdb_options", 
        "value": "compression=kNoCompression,max_write_buffer_number=16,min_write_buffer_number_to_merge=3,recycle_log_file_num=16"
    }, 
    {
        "key": "mon_crush_min_required_version", 
        "value": "firefly"
    }, 
    {
        "key": "mon_health_to_clog_tick_interval", 
        "value": "60"
    }, 
    {
        "key": "xio_mp_max_page", 
        "value": "4096"
    }, 
    {
        "key": "filestore_debug_disable_sharded_check", 
        "value": "false"
    }, 
    {
        "key": "rbd_journal_splay_width", 
        "value": "4"
    }, 
    {
        "key": "osd_hit_set_min_size", 
        "value": "1000"
    }, 
    {
        "key": "osd_journal", 
        "value": "/var/lib/ceph/osd/ceph-dhcp46-104/journal"
    }, 
    {
        "key": "journal_zero_on_create", 
        "value": "false"
    }, 
    {
        "key": "log_graylog_port", 
        "value": "12201"
    }, 
    {
        "key": "osd_op_pq_max_tokens_per_priority", 
        "value": "4194304"
    }, 
    {
        "key": "mds_dirstat_min_interval", 
        "value": "1"
    }, 
    {
        "key": "filestore_fiemap_threshold", 
        "value": "4096"
    }, 
    {
        "key": "filestore_collect_device_partition_information", 
        "value": "true"
    }, 
    {
        "key": "osd_debug_drop_ping_probability", 
        "value": "0"
    }, 
    {
        "key": "bluestore_open_by_handle", 
        "value": "true"
    }, 
    {
        "key": "keyfile", 
        "value": ""
    }, 
    {
        "key": "clog_to_graylog_host", 
        "value": "127.0.0.1"
    }, 
    {
        "key": "mon_cluster_log_to_graylog_host", 
        "value": "127.0.0.1"
    }, 
    {
        "key": "log_stop_at_utilization", 
        "value": "0.97"
    }, 
    {
        "key": "async_compressor_enabled", 
        "value": "false"
    }, 
    {
        "key": "journaler_allow_split_entries", 
        "value": "true"
    }, 
    {
        "key": "rgw_swift_versioning_enabled", 
        "value": "false"
    }, 
    {
        "key": "osd_agent_min_evict_effort", 
        "value": "0.1"
    }, 
    {
        "key": "mds_op_log_threshold", 
        "value": "5"
    }, 
    {
        "key": "osd_pool_default_cache_target_dirty_high_ratio", 
        "value": "0.6"
    }, 
    {
        "key": "osd_scrub_max_interval", 
        "value": "604800"
    }, 
    {
        "key": "auth_cluster_required", 
        "value": "cephx"
    }, 
    {
        "key": "fuse_atomic_o_trunc", 
        "value": "true"
    }, 
    {
        "key": "mon_pool_quota_crit_threshold", 
        "value": "0"
    }, 
    {
        "key": "journal_force_aio", 
        "value": "false"
    }, 
    {
        "key": "clog_to_syslog_facility", 
        "value": "default=daemon audit=local0"
    }, 
    {
        "key": "osd_mon_report_interval_min", 
        "value": "5"
    }, 
    {
        "key": "client_die_on_failed_remount", 
        "value": "true"
    }, 
    {
        "key": "mon_osd_down_out_subtree_limit", 
        "value": "rack"
    }, 
    {
        "key": "mon_pool_quota_warn_threshold", 
        "value": "0"
    }, 
    {
        "key": "mon_pg_warn_min_objects", 
        "value": "10000"
    }, 
    {
        "key": "mds_session_timeout", 
        "value": "60"
    }, 
    {
        "key": "osd_read_ec_check_for_errors", 
        "value": "false"
    }, 
    {
        "key": "debug_rbd_replay", 
        "value": "0/5"
    }, 
    {
        "key": "mon_clock_drift_warn_backoff", 
        "value": "5"
    }, 
    {
        "key": "rgw_gc_max_objs", 
        "value": "32"
    }, 
    {
        "key": "client_inject_fixed_oldest_tid", 
        "value": "false"
    }, 
    {
        "key": "mon_max_log_entries_per_event", 
        "value": "4096"
    }, 
    {
        "key": "mon_osd_min_down_reporters", 
        "value": "2"
    }, 
    {
        "key": "mon_osd_adjust_down_out_interval", 
        "value": "true"
    }, 
    {
        "key": "osd_open_classes_on_start", 
        "value": "true"
    }, 
    {
        "key": "debug_refs", 
        "value": "0/0"
    }, 
    {
        "key": "osd_pg_stat_report_interval_max", 
        "value": "500"
    }, 
    {
        "key": "ms_die_on_bad_msg", 
        "value": "false"
    }, 
    {
        "key": "ms_inject_internal_delays", 
        "value": "0"
    }, 
    {
        "key": "mds_bal_merge_size", 
        "value": "50"
    }, 
    {
        "key": "err_to_graylog", 
        "value": "false"
    }, 
    {
        "key": "rgw_zonegroup_root_pool", 
        "value": ".rgw.root"
    }, 
    {
        "key": "osd_debug_op_order", 
        "value": "false"
    }, 
    {
        "key": "mon_sync_debug_leader", 
        "value": "-1"
    }, 
    {
        "key": "ms_tcp_nodelay", 
        "value": "true"
    }, 
    {
        "key": "mon_osd_report_timeout", 
        "value": "900"
    }, 
    {
        "key": "mon_scrub_inject_missing_keys", 
        "value": "0"
    }, 
    {
        "key": "filestore_wbthrottle_enable", 
        "value": "true"
    }, 
    {
        "key": "bluestore_block_path", 
        "value": ""
    }, 
    {
        "key": "filestore_fd_cache_shards", 
        "value": "16"
    }, 
    {
        "key": "osd_recovery_thread_timeout", 
        "value": "30"
    }, 
    {
        "key": "mds_bal_midchunk", 
        "value": "0.3"
    }, 
    {
        "key": "kstore_rocksdb_options", 
        "value": "compression=kNoCompression"
    }, 
    {
        "key": "rgw_realm_reconfigure_delay", 
        "value": "2"
    }, 
    {
        "key": "filestore_queue_high_delay_multiple", 
        "value": "0"
    }, 
    {
        "key": "mon_reweight_min_bytes_per_osd", 
        "value": "104857600"
    }, 
    {
        "key": "rbd_journal_object_flush_interval", 
        "value": "0"
    }, 
    {
        "key": "osd_op_log_threshold", 
        "value": "5"
    }, 
    {
        "key": "rgw_swift_enforce_content_length", 
        "value": "false"
    }, 
    {
        "key": "name", 
        "value": "mon.dhcp46-104"
    }, 
    {
        "key": "mon_timecheck_skew_interval", 
        "value": "30"
    }, 
    {
        "key": "osd_scrub_cost", 
        "value": "52428800"
    }, 
    {
        "key": "osd_kill_backfill_at", 
        "value": "0"
    }, 
    {
        "key": "rbd_cache_size", 
        "value": "33554432"
    }, 
    {
        "key": "mon_tick_interval", 
        "value": "5"
    }, 
    {
        "key": "mon_osd_auto_mark_auto_out_in", 
        "value": "true"
    }, 
    {
        "key": "journal_max_write_entries", 
        "value": "100"
    }, 
    {
        "key": "rocksdb_cache_size", 
        "value": "134217728"
    }, 
    {
        "key": "osd_stats_ack_timeout_decay", 
        "value": "0.9"
    }, 
    {
        "key": "rgw_gc_processor_max_time", 
        "value": "3600"
    }, 
    {
        "key": "mon_rocksdb_options", 
        "value": "cache_size=536870912,write_buffer_size=33554432,block_size=65536,compression=kNoCompression"
    }, 
    {
        "key": "bluestore_sync_io", 
        "value": "false"
    }, 
    {
        "key": "mon_osd_max_op_age", 
        "value": "32"
    }, 
    {
        "key": "mon_lease", 
        "value": "5"
    }, 
    {
        "key": "rgw_swift_url", 
        "value": ""
    }, 
    {
        "key": "client_permissions", 
        "value": "true"
    }, 
    {
        "key": "bluestore_bluefs_env_mirror", 
        "value": "false"
    }, 
    {
        "key": "filestore_kill_at", 
        "value": "0"
    }, 
    {
        "key": "journal_throttle_max_multiple", 
        "value": "0"
    }, 
    {
        "key": "mon_keyvaluedb", 
        "value": "leveldb"
    }, 
    {
        "key": "osd_scrub_chunk_min", 
        "value": "5"
    }, 
    {
        "key": "rgw_nfs_lru_lanes", 
        "value": "5"
    }, 
    {
        "key": "mds_freeze_tree_timeout", 
        "value": "30"
    }, 
    {
        "key": "xio_portal_threads", 
        "value": "2"
    }, 
    {
        "key": "xio_transport_type", 
        "value": "rdma"
    }, 
    {
        "key": "err_to_syslog", 
        "value": "false"
    }, 
    {
        "key": "rgw_user_quota_bucket_sync_interval", 
        "value": "180"
    }, 
    {
        "key": "journaler_batch_max", 
        "value": "0"
    }, 
    {
        "key": "mon_osd_max_split_count", 
        "value": "32"
    }, 
    {
        "key": "mds_decay_halflife", 
        "value": "5"
    }, 
    {
        "key": "rgw_ldap_secret", 
        "value": "/etc/openldap/secret"
    }, 
    {
        "key": "client_mount_timeout", 
        "value": "300"
    }, 
    {
        "key": "mon_compact_on_start", 
        "value": "false"
    }, 
    {
        "key": "mon_cluster_log_to_syslog", 
        "value": "default=false"
    }, 
    {
        "key": "rgw_keystone_url", 
        "value": ""
    }, 
    {
        "key": "osd_agent_max_low_ops", 
        "value": "2"
    }, 
    {
        "key": "osd_allow_recovery_below_min_size", 
        "value": "true"
    }, 
    {
        "key": "mon_client_max_log_entries_per_message", 
        "value": "1000"
    }, 
    {
        "key": "filestore_ondisk_finisher_threads", 
        "value": "1"
    }, 
    {
        "key": "debug_monc", 
        "value": "0/10"
    }, 
    {
        "key": "filestore_max_xattr_value_size_xfs", 
        "value": "65536"
    }, 
    {
        "key": "filestore_omap_header_cache_size", 
        "value": "1024"
    }, 
    {
        "key": "osd_pg_op_threshold_ratio", 
        "value": "2"
    }, 
    {
        "key": "osd_client_message_cap", 
        "value": "100"
    }, 
    {
        "key": "mon_cluster_log_file", 
        "value": "default=/var/log/ceph/ceph.$channel.log cluster=/var/log/ceph/ceph.log"
    }, 
    {
        "key": "osd_recovery_op_priority", 
        "value": "3"
    }, 
    {
        "key": "mds_dump_cache_after_rejoin", 
        "value": "false"
    }, 
    {
        "key": "debug_mds_locker", 
        "value": "1/5"
    }, 
    {
        "key": "mds_debug_auth_pins", 
        "value": "false"
    }, 
    {
        "key": "mon_reweight_max_change", 
        "value": "0.05"
    }, 
    {
        "key": "rgw_intent_log_object_name", 
        "value": "%Y-%m-%d-%i-%n"
    }, 
    {
        "key": "osd_tier_default_cache_hit_set_search_last_n", 
        "value": "1"
    }, 
    {
        "key": "mon_sync_provider_kill_at", 
        "value": "0"
    }, 
    {
        "key": "rgw_keystone_api_version", 
        "value": "2"
    }, 
    {
        "key": "osd_data", 
        "value": "/var/lib/ceph/osd/ceph-dhcp46-104"
    }, 
    {
        "key": "osd_debug_reject_backfill_probability", 
        "value": "0"
    }, 
    {
        "key": "rgw_content_length_compat", 
        "value": "false"
    }, 
    {
        "key": "bluestore_overlay_max", 
        "value": "0"
    }, 
    {
        "key": "ms_async_set_affinity", 
        "value": "true"
    }, 
    {
        "key": "xio_mp_max_hint", 
        "value": "4096"
    }, 
    {
        "key": "kstore_sync_submit_transaction", 
        "value": "false"
    }, 
    {
        "key": "osd_map_cache_size", 
        "value": "200"
    }, 
    {
        "key": "filestore_queue_low_threshhold", 
        "value": "0.3"
    }, 
    {
        "key": "osd_scrub_priority", 
        "value": "5"
    }, 
    {
        "key": "auth_debug", 
        "value": "false"
    }, 
    {
        "key": "filestore_sloppy_crc_block_size", 
        "value": "65536"
    }, 
    {
        "key": "rbd_request_timed_out_seconds", 
        "value": "30"
    }, 
    {
        "key": "rgw_keystone_admin_tenant", 
        "value": ""
    }, 
    {
        "key": "osd_agent_delay_time", 
        "value": "5"
    }, 
    {
        "key": "mds_kill_create_at", 
        "value": "0"
    }, 
    {
        "key": "filestore_odsync_write", 
        "value": "false"
    }, 
    {
        "key": "rgw_bucket_index_max_aio", 
        "value": "8"
    }, 
    {
        "key": "rgw_num_control_oids", 
        "value": "8"
    }, 
    {
        "key": "rgw_keystone_verify_ssl", 
        "value": "true"
    }, 
    {
        "key": "client_cache_mid", 
        "value": "0.75"
    }, 
    {
        "key": "ms_die_on_unhandled_msg", 
        "value": "false"
    }, 
    {
        "key": "rgw_exit_timeout_secs", 
        "value": "120"
    }, 
    {
        "key": "async_compressor_type", 
        "value": "snappy"
    }, 
    {
        "key": "osd_map_message_max", 
        "value": "100"
    }, 
    {
        "key": "fuse_allow_other", 
        "value": "true"
    }, 
    {
        "key": "mon_osd_allow_primary_temp", 
        "value": "false"
    }, 
    {
        "key": "mutex_perf_counter", 
        "value": "false"
    }, 
    {
        "key": "log_max_recent", 
        "value": "10000"
    }, 
    {
        "key": "mon_compact_on_bootstrap", 
        "value": "false"
    }, 
    {
        "key": "mon_max_log_epochs", 
        "value": "500"
    }, 
    {
        "key": "mds_max_scrub_ops_in_progress", 
        "value": "5"
    }, 
    {
        "key": "osd_check_max_object_name_len_on_startup", 
        "value": "true"
    }, 
    {
        "key": "filestore_fsync_flushes_journal_data", 
        "value": "false"
    }, 
    {
        "key": "mds_wipe_sessions", 
        "value": "false"
    }, 
    {
        "key": "client_quota", 
        "value": "false"
    }, 
    {
        "key": "rgw_enable_usage_log", 
        "value": "false"
    }, 
    {
        "key": "journaler_prezero_periods", 
        "value": "5"
    }, 
    {
        "key": "osd_heartbeat_use_min_delay_socket", 
        "value": "false"
    }, 
    {
        "key": "mon_warn_on_osd_down_out_interval_zero", 
        "value": "true"
    }, 
    {
        "key": "debug_journaler", 
        "value": "0/5"
    }, 
    {
        "key": "filestore_op_threads", 
        "value": "2"
    }, 
    {
        "key": "mds_bal_replicate_threshold", 
        "value": "8000"
    }, 
    {
        "key": "leveldb_max_open_files", 
        "value": "0"
    }, 
    {
        "key": "osd_pool_default_cache_target_full_ratio", 
        "value": "0.8"
    }, 
    {
        "key": "rgw_s3_success_create_obj_status", 
        "value": "0"
    }, 
    {
        "key": "journaler_batch_interval", 
        "value": "0.001"
    }, 
    {
        "key": "osd_mon_ack_timeout", 
        "value": "30"
    }, 
    {
        "key": "fuse_default_permissions", 
        "value": "true"
    }, 
    {
        "key": "osd_debug_drop_op_probability", 
        "value": "0"
    }, 
    {
        "key": "mon_pg_warn_max_object_skew", 
        "value": "10"
    }, 
    {
        "key": "osd_class_dir", 
        "value": "/usr/lib64/rados-classes"
    }, 
    {
        "key": "ms_inject_delay_probability", 
        "value": "0"
    }, 
    {
        "key": "mds_enable_op_tracker", 
        "value": "true"
    }, 
    {
        "key": "osd_tier_promote_max_bytes_sec", 
        "value": "25"
    }, 
    {
        "key": "ms_async_op_threads", 
        "value": "3"
    }, 
    {
        "key": "osd_scrub_load_threshold", 
        "value": "0.5"
    }, 
    {
        "key": "osd_max_backfills", 
        "value": "1"
    }, 
    {
        "key": "osd_num_op_tracker_shard", 
        "value": "32"
    }, 
    {
        "key": "debug_rados", 
        "value": "0/5"
    }, 
    {
        "key": "osd_max_markdown_count", 
        "value": "5"
    }, 
    {
        "key": "objecter_inflight_ops", 
        "value": "1024"
    }, 
    {
        "key": "admin_socket", 
        "value": "/var/run/ceph/ceph-mon.dhcp46-104.asok"
    }, 
    {
        "key": "osd_debug_drop_ping_duration", 
        "value": "0"
    }, 
    {
        "key": "filestore_queue_high_threshhold", 
        "value": "0.9"
    }, 
    {
        "key": "max_open_files", 
        "value": "131072"
    }, 
    {
        "key": "bluestore_max_ops", 
        "value": "512"
    }, 
    {
        "key": "bdev_inject_crash_flush_delay", 
        "value": "2"
    }, 
    {
        "key": "rgw_num_rados_handles", 
        "value": "1"
    }, 
    {
        "key": "auth_service_ticket_ttl", 
        "value": "3600"
    }, 
    {
        "key": "paxos_trim_max", 
        "value": "500"
    }, 
    {
        "key": "rgw_user_quota_sync_idle_users", 
        "value": "false"
    }, 
    {
        "key": "xio_trace_msgcnt", 
        "value": "false"
    }, 
    {
        "key": "rgw_realm_root_pool", 
        "value": ".rgw.root"
    }, 
    {
        "key": "ms_dump_corrupt_message_level", 
        "value": "1"
    }, 
    {
        "key": "client_notify_timeout", 
        "value": "10"
    }, 
    {
        "key": "rgw_host", 
        "value": ""
    }, 
    {
        "key": "ms_tcp_rcvbuf", 
        "value": "0"
    }, 
    {
        "key": "mon_election_timeout", 
        "value": "5"
    }, 
    {
        "key": "ms_bind_retry_count", 
        "value": "3"
    }, 
    {
        "key": "osd_op_history_duration", 
        "value": "600"
    }, 
    {
        "key": "mon_accept_timeout_factor", 
        "value": "2"
    }, 
    {
        "key": "mds_bal_unreplicate_threshold", 
        "value": "0"
    }, 
    {
        "key": "leveldb_block_size", 
        "value": "65536"
    }, 
    {
        "key": "mon_debug_dump_json", 
        "value": "false"
    }, 
    {
        "key": "osd_remove_thread_timeout", 
        "value": "3600"
    }, 
    {
        "key": "osd_scan_list_ping_tp_interval", 
        "value": "100"
    }, 
    {
        "key": "bluestore_debug_no_reuse_blocks", 
        "value": "false"
    }, 
    {
        "key": "filestore_queue_max_delay_multiple", 
        "value": "0"
    }, 
    {
        "key": "mds_debug_frag", 
        "value": "false"
    }, 
    {
        "key": "debug_javaclient", 
        "value": "1/5"
    }, 
    {
        "key": "rgw_op_thread_timeout", 
        "value": "600"
    }, 
    {
        "key": "mon_slurp_bytes", 
        "value": "262144"
    }, 
    {
        "key": "ms_initial_backoff", 
        "value": "0.2"
    }, 
    {
        "key": "mds_op_history_size", 
        "value": "20"
    }, 
    {
        "key": "filestore_min_sync_interval", 
        "value": "0.01"
    }, 
    {
        "key": "host", 
        "value": "dhcp46-104"
    }, 
    {
        "key": "internal_safe_to_start_threads", 
        "value": "true"
    }, 
    {
        "key": "rgw_socket_path", 
        "value": ""
    }, 
    {
        "key": "mds_verify_scatter", 
        "value": "false"
    }, 
    {
        "key": "osd_find_best_info_ignore_history_les", 
        "value": "false"
    }, 
    {
        "key": "mon_health_data_update_interval", 
        "value": "60"
    }, 
    {
        "key": "filestore_inject_stall", 
        "value": "0"
    }, 
    {
        "key": "client_max_inline_size", 
        "value": "4096"
    }, 
    {
        "key": "rbd_default_order", 
        "value": "22"
    }, 
    {
        "key": "osd_tier_default_cache_hit_set_count", 
        "value": "4"
    }, 
    {
        "key": "osd_inject_bad_map_crc_probability", 
        "value": "0"
    }, 
    {
        "key": "mon_debug_dump_transactions", 
        "value": "false"
    }, 
    {
        "key": "osd_backfill_retry_interval", 
        "value": "10"
    }, 
    {
        "key": "filestore_max_inline_xattr_size_xfs", 
        "value": "65536"
    }, 
    {
        "key": "mds_log_max_segments", 
        "value": "30"
    }, 
    {
        "key": "mon_warn_not_scrubbed", 
        "value": "0"
    }, 
    {
        "key": "rgw_num_zone_opstate_shards", 
        "value": "128"
    }, 
    {
        "key": "objecter_completion_locks_per_session", 
        "value": "32"
    }, 
    {
        "key": "client_readahead_min", 
        "value": "131072"
    }, 
    {
        "key": "mds_op_complaint_time", 
        "value": "30"
    }, 
    {
        "key": "osd_snap_trim_priority", 
        "value": "5"
    }, 
    {
        "key": "osd_tier_default_cache_min_write_recency_for_promote", 
        "value": "1"
    }, 
    {
        "key": "bdev_aio_poll_ms", 
        "value": "250"
    }, 
    {
        "key": "osd_hit_set_max_size", 
        "value": "100000"
    }, 
    {
        "key": "osd_pg_epoch_persisted_max_stale", 
        "value": "150"
    }, 
    {
        "key": "fuse_syncfs_on_mksnap", 
        "value": "true"
    }, 
    {
        "key": "paxos_stash_full_interval", 
        "value": "25"
    }, 
    {
        "key": "debug_civetweb", 
        "value": "1/10"
    }, 
    {
        "key": "filestore_wbthrottle_xfs_bytes_start_flusher", 
        "value": "41943040"
    }, 
    {
        "key": "osd_rollback_to_cluster_snap", 
        "value": ""
    }, 
    {
        "key": "osd_mon_report_max_in_flight", 
        "value": "2"
    }, 
    {
        "key": "client_oc_target_dirty", 
        "value": "8388608"
    }, 
    {
        "key": "ms_async_affinity_cores", 
        "value": ""
    }, 
    {
        "key": "filestore_commit_timeout", 
        "value": "600"
    }, 
    {
        "key": "memstore_page_set", 
        "value": "true"
    }, 
    {
        "key": "mds_bal_fragment_interval", 
        "value": "5"
    }, 
    {
        "key": "osd_pool_default_hit_set_bloom_fpp", 
        "value": "0.05"
    }, 
    {
        "key": "mon_osd_cache_size", 
        "value": "10"
    }, 
    {
        "key": "osd_preserve_trimmed_log", 
        "value": "false"
    }, 
    {
        "key": "mon_health_to_clog_interval", 
        "value": "3600"
    }, 
    {
        "key": "osd_disk_thread_ioprio_class", 
        "value": ""
    }, 
    {
        "key": "mon_warn_on_crush_straw_calc_version_zero", 
        "value": "true"
    }, 
    {
        "key": "osd_pool_default_cache_max_evict_check_size", 
        "value": "10"
    }, 
    {
        "key": "paxos_min_wait", 
        "value": "0.05"
    }, 
    {
        "key": "rgw_cache_lru_size", 
        "value": "10000"
    }, 
    {
        "key": "num_client", 
        "value": "1"
    }, 
    {
        "key": "rgw_log_nonexistent_bucket", 
        "value": "false"
    }, 
    {
        "key": "client_oc", 
        "value": "true"
    }, 
    {
        "key": "keyring", 
        "value": "/etc/ceph/ceph.mon.dhcp46-104.keyring,/etc/ceph/ceph.keyring,/etc/ceph/keyring,/etc/ceph/keyring.bin"
    }, 
    {
        "key": "bluefs_max_log_runway", 
        "value": "4194304"
    }, 
    {
        "key": "client_mds_namespace", 
        "value": "-1"
    }, 
    {
        "key": "filestore_sloppy_crc", 
        "value": "false"
    }, 
    {
        "key": "bluestore_block_db_path", 
        "value": ""
    }, 
    {
        "key": "filestore_wbthrottle_xfs_ios_start_flusher", 
        "value": "500"
    }, 
    {
        "key": "osd_tier_default_cache_hit_set_grade_decay_rate", 
        "value": "20"
    }, 
    {
        "key": "osd_peering_wq_batch_size", 
        "value": "20"
    }, 
    {
        "key": "rgw_usage_log_tick_interval", 
        "value": "30"
    }, 
    {
        "key": "log_file", 
        "value": "/var/log/ceph/ceph-mon.dhcp46-104.log"
    }, 
    {
        "key": "mon_client_bytes", 
        "value": "104857600"
    }, 
    {
        "key": "throttler_perf_counter", 
        "value": "true"
    }, 
    {
        "key": "mds_dir_max_commit_size", 
        "value": "10"
    }, 
    {
        "key": "osd_heartbeat_grace", 
        "value": "20"
    }, 
    {
        "key": "mds_max_file_recover", 
        "value": "32"
    }, 
    {
        "key": "mon_pg_warn_min_pool_objects", 
        "value": "1000"
    }, 
    {
        "key": "rgw_extended_http_attrs", 
        "value": ""
    }, 
    {
        "key": "osd_max_write_size", 
        "value": "90"
    }, 
    {
        "key": "rbd_readahead_disable_after_bytes", 
        "value": "52428800"
    }, 
    {
        "key": "rbd_cache_max_dirty_object", 
        "value": "0"
    }, 
    {
        "key": "mon_inject_sync_get_chunk_delay", 
        "value": "0"
    }, 
    {
        "key": "client_trace", 
        "value": ""
    }, 
    {
        "key": "debug_leveldb", 
        "value": "4/5"
    }, 
    {
        "key": "rgw_olh_pending_timeout_sec", 
        "value": "3600"
    }, 
    {
        "key": "mon_lease_renew_interval_factor", 
        "value": "0.6"
    }, 
    {
        "key": "bluefs_log_compact_min_size", 
        "value": "16777216"
    }, 
    {
        "key": "debug_buffer", 
        "value": "0/1"
    }, 
    {
        "key": "osd_heartbeat_interval", 
        "value": "6"
    }, 
    {
        "key": "filestore_dump_file", 
        "value": ""
    }, 
    {
        "key": "rgw_list_buckets_max_chunk", 
        "value": "1000"
    }, 
    {
        "key": "journal_ignore_corruption", 
        "value": "false"
    }, 
    {
        "key": "mds_log_max_events", 
        "value": "-1"
    }, 
    {
        "key": "kstore_sync_transaction", 
        "value": "false"
    }, 
    {
        "key": "mon_osd_force_trim_to", 
        "value": "0"
    }, 
    {
        "key": "bdev_debug_inflight_ios", 
        "value": "false"
    }, 
    {
        "key": "rgw_admin_entry", 
        "value": "admin"
    }, 
    {
        "key": "rbd_enable_alloc_hint", 
        "value": "true"
    }, 
    {
        "key": "mon_pg_warn_min_per_osd", 
        "value": "30"
    }, 
    {
        "key": "rgw_nfs_fhcache_size", 
        "value": "2017"
    }, 
    {
        "key": "debug_objclass", 
        "value": "0/5"
    }, 
    {
        "key": "mon_health_to_clog", 
        "value": "true"
    }, 
    {
        "key": "filestore_fd_cache_size", 
        "value": "128"
    },

Comment 6 Nishanth Thomas 2016-06-16 06:02:41 UTC
{
        "key": "mds_bal_frag", 
        "value": "false"
    }, 
    {
        "key": "mon_osd_pool_ec_fast_read", 
        "value": "false"
    }, 
    {
        "key": "kinetic_hmac_key", 
        "value": "asdfasdf"
    }, 
    {
        "key": "client_use_faked_inos", 
        "value": "false"
    }, 
    {
        "key": "mds_bal_idle_threshold", 
        "value": "0"
    }, 
    {
        "key": "osd_tier_default_cache_hit_set_type", 
        "value": "bloom"
    }, 
    {
        "key": "rgw_bucket_quota_soft_threshold", 
        "value": "0.95"
    }, 
    {
        "key": "osd_compact_leveldb_on_mount", 
        "value": "false"
    }, 
    {
        "key": "bluestore_block_size", 
        "value": "10737418240"
    }, 
    {
        "key": "osd_scrub_interval_randomize_ratio", 
        "value": "0.5"
    }, 
    {
        "key": "enable_experimental_unrecoverable_data_corrupting_features", 
        "value": ""
    }, 
    {
        "key": "mon_min_osdmap_epochs", 
        "value": "500"
    }, 
    {
        "key": "mon_data_avail_crit", 
        "value": "5"
    }, 
    {
        "key": "rgw_ldap_searchdn", 
        "value": "cn=users,cn=accounts,dc=example,dc=com"
    }, 
    {
        "key": "rgw_period_latest_epoch_info_oid", 
        "value": ".latest_epoch"
    }, 
    {
        "key": "filestore_merge_threshold", 
        "value": "10"
    }, 
    {
        "key": "rgw_frontends", 
        "value": "fastcgi, civetweb port=7480"
    }, 
    {
        "key": "mds_bal_mode", 
        "value": "0"
    }, 
    {
        "key": "mon_config_key_max_entry_size", 
        "value": "4096"
    }, 
    {
        "key": "osd_pool_default_flag_nodelete", 
        "value": "false"
    }, 
    {
        "key": "osd_op_thread_timeout", 
        "value": "15"
    }, 
    {
        "key": "osd_pool_default_flag_nosizechange", 
        "value": "false"
    }, 
    {
        "key": "rgw_user_quota_sync_interval", 
        "value": "86400"
    }, 
    {
        "key": "objecter_inflight_op_bytes", 
        "value": "104857600"
    }, 
    {
        "key": "journal_throttle_high_multiple", 
        "value": "0"
    }, 
    {
        "key": "mds_debug_scatterstat", 
        "value": "false"
    }, 
    {
        "key": "rgw_objexp_hints_num_shards", 
        "value": "127"
    }, 
    {
        "key": "filestore_blackhole", 
        "value": "false"
    }, 
    {
        "key": "mds_max_completed_requests", 
        "value": "100000"
    }, 
    {
        "key": "mon_scrub_timeout", 
        "value": "300"
    }, 
    {
        "key": "debug_striper", 
        "value": "0/1"
    }, 
    {
        "key": "rgw_swift_tenant_name", 
        "value": ""
    }, 
    {
        "key": "bluestore_bluefs_gift_ratio", 
        "value": "0.02"
    }, 
    {
        "key": "mon_force_quorum_join", 
        "value": "false"
    }, 
    {
        "key": "osd_failsafe_nearfull_ratio", 
        "value": "0.9"
    }, 
    {
        "key": "mon_max_osd", 
        "value": "10000"
    }, 
    {
        "key": "rbd_skip_partial_discard", 
        "value": "false"
    }, 
    {
        "key": "osd_debug_verify_stray_on_activate", 
        "value": "false"
    }, 
    {
        "key": "filestore_wbthrottle_btrfs_bytes_start_flusher", 
        "value": "41943040"
    }, 
    {
        "key": "osd_disk_thread_ioprio_priority", 
        "value": "-1"
    }, 
    {
        "key": "mds_snap_min_uid", 
        "value": "0"
    }, 
    {
        "key": "mon_timecheck_interval", 
        "value": "300"
    }, 
    {
        "key": "mds_bal_split_rd", 
        "value": "25000"
    }, 
    {
        "key": "kstore_cache_tails", 
        "value": "true"
    }, 
    {
        "key": "log_to_graylog", 
        "value": "false"
    }, 
    {
        "key": "osd_debug_override_acting_compat", 
        "value": "false"
    }, 
    {
        "key": "osd_stats_ack_timeout_factor", 
        "value": "2"
    }, 
    {
        "key": "debug_mds_log_expire", 
        "value": "1/5"
    }, 
    {
        "key": "rgw_bucket_quota_cache_size", 
        "value": "10000"
    }, 
    {
        "key": "osd_max_pg_log_entries", 
        "value": "10000"
    }, 
    {
        "key": "osd_bench_large_size_max_throughput", 
        "value": "104857600"
    }, 
    {
        "key": "rbd_readahead_trigger_requests", 
        "value": "10"
    }, 
    {
        "key": "mon_mds_force_trim_to", 
        "value": "0"
    }, 
    {
        "key": "filestore_max_inline_xattr_size_other", 
        "value": "512"
    }, 
    {
        "key": "rgw_max_put_size", 
        "value": "5368709120"
    }, 
    {
        "key": "mon_cluster_log_to_syslog_level", 
        "value": "info"
    }, 
    {
        "key": "xio_max_send_inline", 
        "value": "512"
    }, 
    {
        "key": "rgw_swift_token_expiration", 
        "value": "86400"
    }, 
    {
        "key": "filestore_xfs_extsize", 
        "value": "false"
    }, 
    {
        "key": "debug_kstore", 
        "value": "1/5"
    }, 
    {
        "key": "filestore_op_thread_timeout", 
        "value": "60"
    }, 
    {
        "key": "log_to_stderr", 
        "value": "false"
    }, 
    {
        "key": "rgw_usage_max_shards", 
        "value": "32"
    }, 
    {
        "key": "filestore_max_inline_xattr_size", 
        "value": "0"
    }, 
    {
        "key": "osd_deep_scrub_stride", 
        "value": "524288"
    }, 
    {
        "key": "debug_lockdep", 
        "value": "0/1"
    }, 
    {
        "key": "journal_max_write_bytes", 
        "value": "10485760"
    }, 
    {
        "key": "mds_enforce_unique_name", 
        "value": "true"
    }, 
    {
        "key": "osd_compression_plugins", 
        "value": "zlib snappy"
    }, 
    {
        "key": "mon_osd_auto_mark_in", 
        "value": "false"
    }, 
    {
        "key": "debug_filestore", 
        "value": "1/3"
    }, 
    {
        "key": "filestore_journal_trailing", 
        "value": "false"
    }, 
    {
        "key": "mds_beacon_grace", 
        "value": "15"
    }, 
    {
        "key": "client_debug_force_sync_read", 
        "value": "false"
    }, 
    {
        "key": "rbd_readahead_max_bytes", 
        "value": "524288"
    }, 
    {
        "key": "mon_osd_laggy_max_interval", 
        "value": "300"
    }, 
    {
        "key": "mds_log_skip_corrupt_events", 
        "value": "false"
    }, 
    {
        "key": "filestore_max_xattr_value_size_other", 
        "value": "1024"
    }, 
    {
        "key": "mds_bal_split_bits", 
        "value": "3"
    }, 
    {
        "key": "bluestore_debug_small_allocations", 
        "value": "0"
    }, 
    {
        "key": "client_debug_inject_tick_delay", 
        "value": "0"
    }, 
    {
        "key": "leveldb_log_to_ceph_log", 
        "value": "true"
    }, 
    {
        "key": "client_readahead_max_bytes", 
        "value": "0"
    }, 
    {
        "key": "cephx_require_signatures", 
        "value": "false"
    }, 
    {
        "key": "client_use_random_mds", 
        "value": "false"
    }, 
    {
        "key": "filestore_wbthrottle_btrfs_ios_hard_limit", 
        "value": "5000"
    }, 
    {
        "key": "rgw_port", 
        "value": ""
    }, 
    {
        "key": "mds_log_pause", 
        "value": "false"
    }, 
    {
        "key": "ms_crc_header", 
        "value": "true"
    }, 
    {
        "key": "rgw_zone", 
        "value": ""
    }, 
    {
        "key": "mds_root_ino_uid", 
        "value": "0"
    }, 
    {
        "key": "bluefs_min_log_runway", 
        "value": "1048576"
    }, 
    {
        "key": "bluestore_o_direct", 
        "value": "true"
    }, 
    {
        "key": "run_dir", 
        "value": "/var/run/ceph"
    }, 
    {
        "key": "osd_mon_report_interval_max", 
        "value": "600"
    }, 
    {
        "key": "osd_bench_max_block_size", 
        "value": "67108864"
    }, 
    {
        "key": "debug_heartbeatmap", 
        "value": "1/5"
    }, 
    {
        "key": "osd_recovery_threads", 
        "value": "1"
    }, 
    {
        "key": "rados_mon_op_timeout", 
        "value": "0"
    }, 
    {
        "key": "mon_inject_transaction_delay_max", 
        "value": "10"
    }, 
    {
        "key": "rgw_enable_ops_log", 
        "value": "false"
    }, 
    {
        "key": "lockdep", 
        "value": "false"
    }, 
    {
        "key": "osd_journal_size", 
        "value": "5120"
    }, 
    {
        "key": "osd_max_attr_size", 
        "value": "0"
    }, 
    {
        "key": "rgw_gc_obj_min_wait", 
        "value": "7200"
    }, 
    {
        "key": "osd_inject_failure_on_pg_removal", 
        "value": "false"
    }, 
    {
        "key": "cluster_network", 
        "value": ""
    }, 
    {
        "key": "rbd_concurrent_management_ops", 
        "value": "10"
    }, 
    {
        "key": "bluestore_wal_max_ops", 
        "value": "512"
    }, 
    {
        "key": "osd_tracing", 
        "value": "false"
    }, 
    {
        "key": "osd_recovery_op_warn_multiple", 
        "value": "16"
    }, 
    {
        "key": "mds_bal_max", 
        "value": "-1"
    }, 
    {
        "key": "rgw_s3_auth_use_keystone", 
        "value": "false"
    }, 
    {
        "key": "key", 
        "value": ""
    }, 
    {
        "key": "rbd_cache_writethrough_until_flush", 
        "value": "true"
    }, 
    {
        "key": "bluestore_block_db_create", 
        "value": "false"
    }, 
    {
        "key": "rgw_enable_quota_threads", 
        "value": "true"
    }, 
    {
        "key": "public_addr", 
        "value": ":/0"
    }, 
    {
        "key": "osd_backfill_full_ratio", 
        "value": "0.85"
    }, 
    {
        "key": "ms_tcp_read_timeout", 
        "value": "900"
    }, 
    {
        "key": "rocksdb_separate_wal_dir", 
        "value": "false"
    }, 
    {
        "key": "mds_kill_import_at", 
        "value": "0"
    }, 
    {
        "key": "osd_recovery_forget_lost_objects", 
        "value": "false"
    }, 
    {
        "key": "ms_crc_data", 
        "value": "true"
    }, 
    {
        "key": "osd_target_transaction_size", 
        "value": "30"
    }, 
    {
        "key": "mon_sync_debug_provider", 
        "value": "-1"
    }, 
    {
        "key": "osd_default_notify_timeout", 
        "value": "30"
    }, 
    {
        "key": "mon_cluster_log_to_syslog_facility", 
        "value": "daemon"
    }, 
    {
        "key": "rgw_user_default_quota_max_objects", 
        "value": "-1"
    }, 
    {
        "key": "mon_stat_smooth_intervals", 
        "value": "2"
    }, 
    {
        "key": "debug_mds_log", 
        "value": "1/5"
    }, 
    {
        "key": "mds_mon_shutdown_timeout", 
        "value": "5"
    }, 
    {
        "key": "mds_debug_subtrees", 
        "value": "false"
    }, 
    {
        "key": "debug_bluestore", 
        "value": "1/5"
    }, 
    {
        "key": "rgw_print_continue", 
        "value": "true"
    }, 
    {
        "key": "osd_objectstore_tracing", 
        "value": "false"
    }, 
    {
        "key": "mds_recall_state_timeout", 
        "value": "60"
    }, 
    {
        "key": "mon_force_standby_active", 
        "value": "true"
    }, 
    {
        "key": "rgw_default_region_info_oid", 
        "value": "default.region"
    }, 
    {
        "key": "mon_sync_fs_threshold", 
        "value": "5"
    }, 
    {
        "key": "mon_cache_target_full_warn_ratio", 
        "value": "0.66"
    }, 
    {
        "key": "bluestore_clone_cow", 
        "value": "true"
    }, 
    {
        "key": "bluestore_wal_threads", 
        "value": "4"
    }, 
    {
        "key": "rbd_balance_snap_reads", 
        "value": "false"
    }, 
    {
        "key": "client_mountpoint", 
        "value": "/"
    }, 
    {
        "key": "rgw_data_log_obj_prefix", 
        "value": "data_log"
    }, 
    {
        "key": "rgw_keystone_admin_domain", 
        "value": ""
    }, 
    {
        "key": "osd_snap_trim_sleep", 
        "value": "0"
    }, 
    {
        "key": "bluestore_nid_prealloc", 
        "value": "1024"
    }, 
    {
        "key": "osd_client_watch_timeout", 
        "value": "30"
    }, 
    {
        "key": "mds_verify_backtrace", 
        "value": "1"
    }, 
    {
        "key": "debug_rbd", 
        "value": "0/5"
    }, 
    {
        "key": "osd_heartbeat_min_healthy_ratio", 
        "value": "0.33"
    }, 
    {
        "key": "rgw_data_log_changes_size", 
        "value": "1000"
    }, 
    {
        "key": "bluestore_min_alloc_size", 
        "value": "65536"
    }, 
    {
        "key": "mds_data", 
        "value": "/var/lib/ceph/mds/ceph-dhcp46-104"
    }, 
    {
        "key": "rgw_ldap_uri", 
        "value": "ldaps://<ldap.your.domain>"
    }, 
    {
        "key": "rgw_keystone_implicit_tenants", 
        "value": "false"
    }, 
    {
        "key": "rgw_obj_stripe_size", 
        "value": "4194304"
    }, 
    {
        "key": "bluestore_wal_thread_suicide_timeout", 
        "value": "120"
    }, 
    {
        "key": "osd_pool_default_flags", 
        "value": "0"
    }, 
    {
        "key": "cluster", 
        "value": "ceph"
    }, 
    {
        "key": "mds_root_ino_gid", 
        "value": "0"
    }, 
    {
        "key": "rgw_num_async_rados_threads", 
        "value": "32"
    }, 
    {
        "key": "mds_kill_link_at", 
        "value": "0"
    }, 
    {
        "key": "filer_max_purge_ops", 
        "value": "10"
    }, 
    {
        "key": "ms_bind_port_max", 
        "value": "7300"
    }, 
    {
        "key": "client_inject_release_failure", 
        "value": "false"
    }, 
    {
        "key": "bluestore_debug_prefragment_max", 
        "value": "1048576"
    }, 
    {
        "key": "rgw_gc_processor_period", 
        "value": "3600"
    }, 
    {
        "key": "mon_osd_full_ratio", 
        "value": "0.95"
    }, 
    {
        "key": "mds_blacklist_interval", 
        "value": "1440"
    }, 
    {
        "key": "osd_scrub_invalid_stats", 
        "value": "true"
    }, 
    {
        "key": "osd_client_message_size_cap", 
        "value": "524288000"
    }, 
    {
        "key": "ms_inject_delay_type", 
        "value": ""
    }, 
    {
        "key": "clog_to_syslog", 
        "value": "false"
    }, 
    {
        "key": "bluestore_fsck_on_mount", 
        "value": "false"
    }, 
    {
        "key": "mds_kill_openc_at", 
        "value": "0"
    }, 
    {
        "key": "journal_throttle_low_threshhold", 
        "value": "0.6"
    }, 
    {
        "key": "rgw_get_obj_max_req_size", 
        "value": "4194304"
    }, 
    {
        "key": "debug_context", 
        "value": "0/1"
    }, 
    {
        "key": "osd_agent_slop", 
        "value": "0.02"
    }, 
    {
        "key": "ms_max_backoff", 
        "value": "15"
    }, 
    {
        "key": "rgw_period_push_interval", 
        "value": "2"
    }, 
    {
        "key": "osd_scrub_sleep", 
        "value": "0"
    }, 
    {
        "key": "osd_max_markdown_period", 
        "value": "600"
    }, 
    {
        "key": "osd_command_thread_suicide_timeout", 
        "value": "900"
    }, 
    {
        "key": "clog_to_graylog_port", 
        "value": "12201"
    }, 
    {
        "key": "bluefs_min_flush_size", 
        "value": "65536"
    }, 
    {
        "key": "osd_recovery_max_active", 
        "value": "3"
    }, 
    {
        "key": "async_compressor_thread_timeout", 
        "value": "5"
    }, 
    {
        "key": "mds_journal_format", 
        "value": "1"
    }, 
    {
        "key": "osd_recovery_thread_suicide_timeout", 
        "value": "300"
    }, 
    {
        "key": "debug_journal", 
        "value": "1/3"
    }, 
    {
        "key": "journal_block_align", 
        "value": "true"
    }, 
    {
        "key": "debug_auth", 
        "value": "1/5"
    }, 
    {
        "key": "journal_throttle_high_threshhold", 
        "value": "0.9"
    }, 
    {
        "key": "rgw_defer_to_bucket_acls", 
        "value": ""
    }, 
    {
        "key": "journal_aio", 
        "value": "true"
    }, 
    {
        "key": "xio_trace_mempool", 
        "value": "false"
    }, 
    {
        "key": "rbd_blacklist_on_break_lock", 
        "value": "true"
    }, 
    {
        "key": "monmap", 
        "value": ""
    }, 
    {
        "key": "mds_max_file_size", 
        "value": "1099511627776"
    }, 
    {
        "key": "rgw_relaxed_s3_bucket_names", 
        "value": "false"
    }, 
    {
        "key": "mon_mds_skip_sanity", 
        "value": "false"
    }, 
    {
        "key": "rgw_get_obj_window_size", 
        "value": "16777216"
    }, 
    {
        "key": "kstore_nid_prealloc", 
        "value": "1024"
    }, 
    {
        "key": "debug_paxos", 
        "value": "1/5"
    }, 
    {
        "key": "mds_cache_mid", 
        "value": "0.7"
    }, 
    {
        "key": "osd_op_queue", 
        "value": "prio"
    }, 
    {
        "key": "mon_sync_debug", 
        "value": "false"
    }, 
    {
        "key": "mds_max_completed_flushes", 
        "value": "100000"
    }, 
    {
        "key": "mds_standby_replay", 
        "value": "false"
    }, 
    {
        "key": "osd_scrub_auto_repair", 
        "value": "false"
    }, 
    {
        "key": "osd_auto_mark_unfound_lost", 
        "value": "false"
    }, 
    {
        "key": "debug_ms", 
        "value": "0/5"
    }, 
    {
        "key": "mon_osd_auto_mark_new_in", 
        "value": "true"
    }, 
    {
        "key": "mds_damage_table_max_entries", 
        "value": "10000"
    }, 
    {
        "key": "bdev_block_size", 
        "value": "4096"
    }, 
    {
        "key": "filestore_wbthrottle_xfs_bytes_hard_limit", 
        "value": "419430400"
    }, 
    {
        "key": "filestore_max_inline_xattrs", 
        "value": "0"
    }, 
    {
        "key": "osd_remove_thread_suicide_timeout", 
        "value": "36000"
    }, 
    {
        "key": "rgw_ldap_binddn", 
        "value": "uid=admin,cn=users,dc=example,dc=com"
    }, 
    {
        "key": "osd_agent_hist_halflife", 
        "value": "1000"
    }, 
    {
        "key": "osd_tier_default_cache_min_read_recency_for_promote", 
        "value": "1"
    }, 
    {
        "key": "osd_map_max_advance", 
        "value": "150"
    }, 
    {
        "key": "mds_bal_min_start", 
        "value": "0.2"
    }, 
    {
        "key": "rgw_nfs_fhcache_partitions", 
        "value": "3"
    }, 
    {
        "key": "ms_inject_socket_failures", 
        "value": "0"
    }, 
    {
        "key": "leveldb_compression", 
        "value": "false"
    }, 
    {
        "key": "mon_client_ping_timeout", 
        "value": "30"
    }, 
    {
        "key": "rgw_keystone_revocation_interval", 
        "value": "900"
    }, 
    {
        "key": "rbd_cache_target_dirty", 
        "value": "16777216"
    }, 
    {
        "key": "mon_reweight_min_pgs_per_osd", 
        "value": "10"
    }, 
    {
        "key": "mds_revoke_cap_timeout", 
        "value": "60"
    }, 
    {
        "key": "filestore_omap_backend", 
        "value": "leveldb"
    }, 
    {
        "key": "debug_throttle", 
        "value": "1/1"
    }, 
    {
        "key": "journal_discard", 
        "value": "false"
    }, 
    {
        "key": "osd_pool_default_flag_hashpspool", 
        "value": "true"
    }, 
    {
        "key": "osd_failsafe_full_ratio", 
        "value": "0.97"
    }, 
    {
        "key": "client_caps_release_delay", 
        "value": "5"
    }, 
    {
        "key": "mds_session_autoclose", 
        "value": "300"
    }, 
    {
        "key": "ms_bind_ipv6", 
        "value": "false"
    }, 
    {
        "key": "mon_warn_on_legacy_crush_tunables", 
        "value": "true"
    }, 
    {
        "key": "filestore_fail_eio", 
        "value": "true"
    }, 
    {
        "key": "osd_bench_duration", 
        "value": "30"
    }, 
    {
        "key": "mds_bal_merge_rd", 
        "value": "1000"
    }, 
    {
        "key": "mon_osd_min_up_ratio", 
        "value": "0.3"
    }, 
    {
        "key": "client_oc_size", 
        "value": "209715200"
    }, 
    {
        "key": "filestore_op_thread_suicide_timeout", 
        "value": "180"
    }, 
    {
        "key": "filestore_max_inline_xattrs_xfs", 
        "value": "10"
    }, 
    {
        "key": "mds_bal_split_size", 
        "value": "10000"
    }, 
    {
        "key": "bdev_aio", 
        "value": "true"
    }, 
    {
        "key": "mds_bal_target_removal_max", 
        "value": "10"
    }, 
    {
        "key": "mds_bal_min_rebalance", 
        "value": "0.1"
    }, 
    {
        "key": "rgw_user_max_buckets", 
        "value": "1000"
    }, 
    {
        "key": "debug_rgw", 
        "value": "1/5"
    }, 
    {
        "key": "client_oc_max_objects", 
        "value": "1000"
    }, 
    {
        "key": "bluestore_block_wal_create", 
        "value": "false"
    }, 
    {
        "key": "bluestore_default_buffered_read", 
        "value": "false"
    }, 
    {
        "key": "rbd_localize_parent_reads", 
        "value": "true"
    }, 
    {
        "key": "mon_warn_not_deep_scrubbed", 
        "value": "0"
    }, 
    {
        "key": "mds_dump_cache_on_map", 
        "value": "false"
    }, 
    {
        "key": "bdev_inject_crash", 
        "value": "0"
    }, 
    {
        "key": "fuse_debug", 
        "value": "false"
    }, 
    {
        "key": "debug_mds", 
        "value": "1/5"
    }, 
    {
        "key": "filestore_rocksdb_options", 
        "value": ""
    }, 
    {
        "key": "osd_max_object_name_len", 
        "value": "2048"
    }, 
    {
        "key": "osd_recovery_max_chunk", 
        "value": "8388608"
    }, 
    {
        "key": "mon_debug_deprecated_as_obsolete", 
        "value": "false"
    }, 
    {
        "key": "kinetic_user_id", 
        "value": "1"
    }, 
    {
        "key": "rbd_tracing", 
        "value": "false"
    }, 
    {
        "key": "rgw_ops_log_socket_path", 
        "value": ""
    }, 
    {
        "key": "mon_warn_on_old_mons", 
        "value": "true"
    }, 
    {
        "key": "bluestore_inject_wal_apply_delay", 
        "value": "0"
    }, 
    {
        "key": "osd_pool_default_crush_replicated_ruleset", 
        "value": "0"
    }, 
    {
        "key": "mon_client_ping_interval", 
        "value": "10"
    }, 
    {
        "key": "osd_min_recovery_priority", 
        "value": "0"
    }, 
    {
        "key": "clog_to_monitors", 
        "value": "default=true"
    }, 
    {
        "key": "rgw_intent_log_object_name_utc", 
        "value": "false"
    }, 
    {
        "key": "heartbeat_interval", 
        "value": "5"
    }, 
    {
        "key": "osd_debug_inject_copyfrom_error", 
        "value": "false"
    }, 
    {
        "key": "mon_sync_timeout", 
        "value": "60"
    }, 
    {
        "key": "mds_thrash_exports", 
        "value": "0"
    }, 
    {
        "key": "rbd_journal_object_flush_bytes", 
        "value": "0"
    }, 
    {
        "key": "rgw_opstate_ratelimit_sec", 
        "value": "30"
    }, 
    {
        "key": "compression_dir", 
        "value": "/usr/lib64/ceph/compressor"
    }, 
    {
        "key": "clog_to_graylog", 
        "value": "false"
    }, 
    {
        "key": "rgw_md_log_max_shards", 
        "value": "64"
    }, 
    {
        "key": "osd_mon_heartbeat_interval", 
        "value": "30"
    }, 
    {
        "key": "kinetic_port", 
        "value": "8123"
    }, 
    {
        "key": "fsid", 
        "value": "a095a88b-8418-4b57-92dd-168cb7544e4a"
    }, 
    {
        "key": "osd_pgp_bits", 
        "value": "6"
    }, 
    {
        "key": "osd_copyfrom_max_chunk", 
        "value": "8388608"
    }, 
    {
        "key": "kstore_default_stripe_size", 
        "value": "65536"
    }, 
    {
        "key": "ms_pq_min_cost", 
        "value": "65536"
    }, 
    {
        "key": "mds_scatter_nudge_interval", 
        "value": "5"
    }, 
    {
        "key": "kstore_backend", 
        "value": "rocksdb"
    }, 
    {
        "key": "bluestore_bluefs_min_ratio", 
        "value": "0.02"
    }, 
    {
        "key": "mds_log_segment_size", 
        "value": "0"
    }, 
    {
        "key": "mon_scrub_interval", 
        "value": "86400"
    }, 
    {
        "key": "mds_skip_ino", 
        "value": "0"
    }, 
    {
        "key": "mon_host", 
        "value": ""
    }, 
    {
        "key": "filestore_expected_throughput_ops", 
        "value": "200"
    }, 
    {
        "key": "client_metadata", 
        "value": ""
    }, 
    {
        "key": "osd_recovery_delay_start", 
        "value": "0"
    }, 
    {
        "key": "mon_osd_min_in_ratio", 
        "value": "0.3"
    }, 
    {
        "key": "clog_to_syslog_level", 
        "value": "info"
    }, 
    {
        "key": "rgw_mime_types_file", 
        "value": "/etc/mime.types"
    }, 
    {
        "key": "fuse_require_active_mds", 
        "value": "true"
    }, 
    {
        "key": "mds_thrash_fragments", 
        "value": "0"
    }, 
    {
        "key": "mon_osd_prime_pg_temp_max_time", 
        "value": "0.5"
    }, 
    {
        "key": "client_dirsize_rbytes", 
        "value": "true"
    }, 
    {
        "key": "ms_pq_max_tokens_per_priority", 
        "value": "16777216"
    }, 
    {
        "key": "rgw_copy_obj_progress_every_bytes", 
        "value": "1048576"
    }, 
    {
        "key": "bluestore_fid_prealloc", 
        "value": "1024"
    }, 
    {
        "key": "debug_mon", 
        "value": "1/5"
    }, 
    {
        "key": "debug_optracker", 
        "value": "0/5"
    }, 
    {
        "key": "memstore_page_size", 
        "value": "65536"
    }, 
    {
        "key": "osd_scrub_auto_repair_num_errors", 
        "value": "5"
    }, 
    {
        "key": "osd_max_object_size", 
        "value": "107374182400"
    }, 
    {
        "key": "mon_sync_requester_kill_at", 
        "value": "0"
    }, 
    {
        "key": "mds_default_dir_hash", 
        "value": "2"
    }, 
    {
        "key": "cephx_sign_messages", 
        "value": "true"
    }, 
    {
        "key": "osd_min_pg_log_entries", 
        "value": "3000"
    }, 
    {
        "key": "journal_block_size", 
        "value": "4096"
    }, 
    {
        "key": "osd_agent_quantize_effort", 
        "value": "0.1"
    }, 
    {
        "key": "rgw_objexp_time_step", 
        "value": "4096"
    }, 
    {
        "key": "rgw_zone_root_pool", 
        "value": ".rgw.root"
    }, 
    {
        "key": "filestore_max_inline_xattrs_other", 
        "value": "2"
    }, 
    {
        "key": "filestore_seek_data_hole", 
        "value": "false"
    }, 
    {
        "key": "rgw_default_realm_info_oid", 
        "value": "default.realm"
    }, 
    {
        "key": "filestore_debug_verify_split", 
        "value": "false"
    }, 
    {
        "key": "filestore_max_sync_interval", 
        "value": "5"
    }, 
    {
        "key": "rgw_data_log_window", 
        "value": "30"
    }, 
    {
        "key": "journal_replay_from", 
        "value": "0"
    }, 
    {
        "key": "rgw_script_uri", 
        "value": ""
    }, 
    {
        "key": "rgw_bucket_default_quota_max_size", 
        "value": "-1"
    }, 
    {
        "key": "debug_objectcacher", 
        "value": "0/5"
    }, 
    {
        "key": "bluestore_block_wal_path", 
        "value": ""
    }, 
    {
        "key": "osd_pool_default_erasure_code_profile", 
        "value": "plugin=jerasure technique=reed_sol_van k=2 m=1 "
    }, 
    {
        "key": "ms_tcp_prefetch_max_size", 
        "value": "4096"
    }, 
    {
        "key": "journal_align_min_size", 
        "value": "65536"
    }, 
    {
        "key": "ms_dump_on_send", 
        "value": "false"
    }, 
    {
        "key": "osd_disk_threads", 
        "value": "1"
    }, 
    {
        "key": "osd_command_thread_timeout", 
        "value": "600"
    }, 
    {
        "key": "rbd_op_threads", 
        "value": "1"
    }, 
    {
        "key": "journal_dio", 
        "value": "true"
    }, 
    {
        "key": "osd_uuid", 
        "value": "00000000-0000-0000-0000-000000000000"
    }, 
    {
        "key": "ms_bind_port_min", 
        "value": "6800"
    }, 
    {
        "key": "rgw_s3_auth_use_ldap", 
        "value": "false"
    }, 
    {
        "key": "rgw_ops_log_data_backlog", 
        "value": "5242880"
    }, 
    {
        "key": "osd_max_attr_name_len", 
        "value": "100"
    }, 
    {
        "key": "mon_delta_reset_interval", 
        "value": "10"
    }, 
    {
        "key": "osd_objectstore", 
        "value": "filestore"
    }, 
    {
        "key": "rgw_override_bucket_index_max_shards", 
        "value": "0"
    }, 
    {
        "key": "filestore_wbthrottle_xfs_ios_hard_limit", 
        "value": "5000"
    }, 
    {
        "key": "paxos_propose_interval", 
        "value": "1"
    }, 
    {
        "key": "filestore_wbthrottle_btrfs_inodes_start_flusher", 
        "value": "500"
    }, 
    {
        "key": "client_debug_getattr_caps", 
        "value": "false"
    }, 
    {
        "key": "xio_mp_min", 
        "value": "128"
    }, 
    {
        "key": "rgw_swift_auth_entry", 
        "value": "auth"
    }, 
    {
        "key": "debug_xio", 
        "value": "1/5"
    }, 
    {
        "key": "mon_osd_adjust_heartbeat_grace", 
        "value": "true"
    }, 
    {
        "key": "rbd_default_features", 
        "value": "61"
    }, 
    {
        "key": "log_max_new", 
        "value": "1000"
    }, 
    {
        "key": "paxos_service_trim_min", 
        "value": "250"
    }, 
    {
        "key": "mds_bal_need_min", 
        "value": "0.8"
    }, 
    {
        "key": "mds_bal_sample_interval", 
        "value": "3"
    }, 
    {
        "key": "rgw_max_slo_entries", 
        "value": "1000"
    }, 
    {
        "key": "ms_bind_retry_delay", 
        "value": "5"
    }, 
    {
        "key": "err_to_stderr", 
        "value": "true"
    }, 
    {
        "key": "filestore_zfs_snap", 
        "value": "false"
    }, 
    {
        "key": "filestore_max_inline_xattrs_btrfs", 
        "value": "10"
    }, 
    {
        "key": "rbd_cache_block_writes_upfront", 
        "value": "false"
    }, 
    {
        "key": "rgw_cache_enabled", 
        "value": "true"
    }, 
    {
        "key": "journal_write_header_frequency", 
        "value": "0"
    }, 
    {
        "key": "setgroup", 
        "value": "ceph"
    }, 
    {
        "key": "rbd_default_stripe_unit", 
        "value": "0"
    }, 
    {
        "key": "bluestore_block_db_size", 
        "value": "0"
    }, 
    {
        "key": "filestore_expected_throughput_bytes", 
        "value": "2.09715e+08"
    }, 
    {
        "key": "leveldb_log", 
        "value": ""
    }, 
    {
        "key": "rbd_cache", 
        "value": "true"
    }, 
    {
        "key": "filestore_journal_writeahead", 
        "value": "false"
    }, 
    {
        "key": "rgw_remote_addr_param", 
        "value": "REMOTE_ADDR"
    }, 
    {
        "key": "leveldb_paranoid", 
        "value": "false"
    }, 
    {
        "key": "debug_finisher", 
        "value": "1/1"
    }, 
    {
        "key": "bluestore_sync_wal_apply", 
        "value": "true"
    }, 
    {
        "key": "osd_default_data_pool_replay_window", 
        "value": "45"
    }, 
    {
        "key": "debug_rocksdb", 
        "value": "4/5"
    }, 
    {
        "key": "mon_pg_check_down_all_threshold", 
        "value": "0.5"
    }, 
    {
        "key": "debug_bdev", 
        "value": "1/3"
    }, 
    {
        "key": "osd_max_object_namespace_len", 
        "value": "256"
    }, 
    {
        "key": "rbd_cache_max_dirty", 
        "value": "25165824"
    }, 
    {
        "key": "threadpool_default_timeout", 
        "value": "60"
    }, 
    {
        "key": "mon_pg_warn_max_per_osd", 
        "value": "300"
    }, 
    {
        "key": "mds_max_purge_ops", 
        "value": "8192"
    }, 
    {
        "key": "osd_pg_max_concurrent_snap_trims", 
        "value": "2"
    }, 
    {
        "key": "rgw_user_default_quota_max_size", 
        "value": "-1"
    }, 
    {
        "key": "mon_lease_ack_timeout_factor", 
        "value": "2"
    }, 
    {
        "key": "rgw_dns_s3website_name", 
        "value": ""
    }, 
    {
        "key": "client_snapdir", 
        "value": ".snap"
    }, 
    {
        "key": "rgw_sync_lease_period", 
        "value": "120"
    }, 
    {
        "key": "osd_debug_pg_log_writeout", 
        "value": "false"
    }, 
    {
        "key": "rgw_period_root_pool", 
        "value": ".rgw.root"
    }, 
    {
        "key": "rados_tracing", 
        "value": "false"
    }, 
    {
        "key": "filestore_index_retry_probability", 
        "value": "0"
    }, 
    {
        "key": "rgw_md_notify_interval_msec", 
        "value": "200"
    }, 
    {
        "key": "osd_scrub_end_hour", 
        "value": "24"
    }, 
    {
        "key": "osd_pool_default_crush_rule", 
        "value": "-1"
    }, 
    {
        "key": "osd_op_history_size", 
        "value": "20"
    }, 
    {
        "key": "debug_filer", 
        "value": "0/1"
    }, 
    {
        "key": "mon_allow_pool_delete", 
        "value": "true"
    }, 
    {
        "key": "rgw_enforce_swift_acls", 
        "value": "true"
    }, 
    {
        "key": "rgw_user_quota_sync_wait_time", 
        "value": "86400"
    }, 
    {
        "key": "rados_osd_op_timeout", 
        "value": "0"
    }, 
    {
        "key": "rbd_default_map_options", 
        "value": ""
    }, 
    {
        "key": "rgw_curl_wait_timeout_ms", 
        "value": "1000"
    }, 
    {
        "key": "client_acl_type", 
        "value": ""
    }, 
    {
        "key": "osd_op_threads", 
        "value": "2"
    }, 
    {
        "key": "debug_rbd_mirror", 
        "value": "0/5"
    }, 
    {
        "key": "osd_map_share_max_epochs", 
        "value": "100"
    }, 
    {
        "key": "rgw_replica_log_obj_prefix", 
        "value": "replica_log"
    }, 
    {
        "key": "mon_slurp_timeout", 
        "value": "10"
    }, 
    {
        "key": "filestore_fadvise", 
        "value": "true"
    }, 
    {
        "key": "rgw_request_uri", 
        "value": ""
    }, 
    {
        "key": "mds_client_prealloc_inos", 
        "value": "1000"
    }, 
    {
        "key": "rbd_localize_snap_reads", 
        "value": "false"
    }, 
    {
        "key": "rgw_max_chunk_size", 
        "value": "524288"
    }, 
    {
        "key": "osd_recover_clone_overlap", 
        "value": "true"
    }, 
    {
        "key": "log_flush_on_exit", 
        "value": "true"
    }, 
    {
        "key": "client_mount_uid", 
        "value": "-1"
    }, 
    {
        "key": "rbd_blacklist_expire_seconds", 
        "value": "0"
    }, 
    {
        "key": "filestore_btrfs_snap", 
        "value": "true"
    }, 
    {
        "key": "osd_pool_default_pgp_num", 
        "value": "8"
    }, 
    {
        "key": "rgw_multipart_part_upload_limit", 
        "value": "10000"
    }, 
    {
        "key": "mds_bal_interval", 
        "value": "10"
    }, 
    {
        "key": "mds_bal_target_removal_min", 
        "value": "5"
    }, 
    {
        "key": "osd_tier_promote_max_objects_sec", 
        "value": "5242880"
    }, 
    {
        "key": "fuse_use_invalidate_cb", 
        "value": "false"
    }, 
    {
        "key": "osd_op_num_threads_per_shard", 
        "value": "2"
    }, 
    {
        "key": "osd_push_per_object_cost", 
        "value": "1000"
    }, 
    {
        "key": "mds_shutdown_check", 
        "value": "0"
    }, 
    {
        "key": "osd_scrub_begin_hour", 
        "value": "0"
    }, 
    {
        "key": "mds_standby_for_rank", 
        "value": "-1"
    }, 
    {
        "key": "osd_pool_default_size", 
        "value": "3"
    }, 
    {
        "key": "osd_bench_small_size_max_iops", 
        "value": "100"
    }, 
    {
        "key": "debug_mds_migrator", 
        "value": "1/5"
    }, 
    {
        "key": "leveldb_compact_on_mount", 
        "value": "false"
    }, 
    {
        "key": "osd_pool_default_cache_target_dirty_ratio", 
        "value": "0.4"
    }, 
    {
        "key": "plugin_dir", 
        "value": "/usr/lib64/ceph"
    }, 
    {
        "key": "rgw_nfs_lru_lane_hiwat", 
        "value": "911"
    }, 
    {
        "key": "osd_op_queue_cut_off", 
        "value": "low"
    }, 
    {
        "key": "mds_cache_size", 
        "value": "100000"
    }, 
    {
        "key": "rbd_journal_commit_age", 
        "value": "5"
    }, 
    {
        "key": "rgw_enable_gc_threads", 
        "value": "true"
    }, 
    {
        "key": "debug_client", 
        "value": "0/5"
    }, 
    {
        "key": "rgw_realm", 
        "value": ""
    }, 
    {
        "key": "filestore_wbthrottle_btrfs_bytes_hard_limit", 
        "value": "419430400"
    }, 
    {
        "key": "rgw_s3_auth_use_rados", 
        "value": "true"
    }, 
    {
        "key": "rocksdb_block_size", 
        "value": "4096"
    }, 
    {
        "key": "bluestore_bluefs_max_ratio", 
        "value": "0.9"
    }, 
    {
        "key": "mds_log_events_per_segment", 
        "value": "1024"
    }, 
    {
        "key": "mon_data_size_warn", 
        "value": "16106127360"
    }, 
    {
        "key": "mds_sessionmap_keys_per_op", 
        "value": "1024"
    }, 
    {
        "key": "mon_cluster_log_to_graylog", 
        "value": "false"
    }, 
    {
        "key": "rgw_enable_apis", 
        "value": "s3, s3website, swift, swift_auth, admin"
    }, 
    {
        "key": "ms_dispatch_throttle_bytes", 
        "value": "104857600"
    }, 
    {
        "key": "debug_fuse", 
        "value": "1/5"
    }, 
    {
        "key": "leveldb_write_buffer_size", 
        "value": "33554432"
    }, 
    {
        "key": "bluefs_max_prefetch", 
        "value": "1048576"
    }, 
    {
        "key": "osd_backfill_scan_min", 
        "value": "64"
    }, 
    {
        "key": "nss_db_path", 
        "value": ""
    }, 
    {
        "key": "rgw_op_thread_suicide_timeout", 
        "value": "0"
    }, 
    {
        "key": "mds_log_max_expiring", 
        "value": "20"
    }, 
    {
        "key": "rgw_enable_static_website", 
        "value": "false"
    }, 
    {
        "key": "debug_deliberately_leak_memory", 
        "value": "false"
    }, 
    {
        "key": "restapi_log_level", 
        "value": ""
    }, 
    {
        "key": "osd_op_num_shards", 
        "value": "5"
    }, 
    {
        "key": "rgw_keystone_admin_project", 
        "value": ""
    }, 
    {
        "key": "osd_pool_default_cache_min_flush_age", 
        "value": "0"
    }, 
    {
        "key": "leveldb_cache_size", 
        "value": "536870912"
    }, 
    {
        "key": "memstore_device_bytes", 
        "value": "1073741824"
    }, 
    {
        "key": "bluestore_cache_tails", 
        "value": "true"
    }, 
    {
        "key": "rgw_copy_obj_progress", 
        "value": "true"
    }, 
    {
        "key": "bluestore_fail_eio", 
        "value": "true"
    }, 
    {
        "key": "mon_cluster_log_to_graylog_port", 
        "value": "12201"
    }, 
    {
        "key": "osd_recovery_max_single_start", 
        "value": "1"
    }, 
    {
        "key": "mds_log", 
        "value": "true"
    }, 
    {
        "key": "osd_pool_default_cache_min_evict_age", 
        "value": "0"
    }, 
    {
        "key": "osd_debug_skip_full_check_in_backfill_reservation", 
        "value": "false"
    }, 
    {
        "key": "mds_op_history_duration", 
        "value": "600"
    }, 
    {
        "key": "rgw_usage_max_user_shards", 
        "value": "1"
    }, 
    {
        "key": "debug_perfcounter", 
        "value": "1/5"
    }, 
    {
        "key": "mon_sync_max_payload_size", 
        "value": "1048576"
    }, 
    {
        "key": "filestore_queue_max_ops", 
        "value": "50"
    }, 
    {
        "key": "rgw_region", 
        "value": ""
    }, 
    {
        "key": "debug_newstore", 
        "value": "1/5"
    }, 
    {
        "key": "mds_max_purge_ops_per_pg", 
        "value": "0.5"
    }, 
    {
        "key": "osd_scrub_min_interval", 
        "value": "86400"
    }, 
    {
        "key": "osd_max_pg_blocked_by", 
        "value": "16"
    }, 
    {
        "key": "mds_beacon_interval", 
        "value": "4"
    }, 
    {
        "key": "rgw_run_sync_thread", 
        "value": "true"
    }, 
    {
        "key": "bdev_nvme_retry_count", 
        "value": "-1"
    }, 
    {
        "key": "rgw_resolve_cname", 
        "value": "false"
    }, 
    {
        "key": "osd_client_op_priority", 
        "value": "63"
    }, 
    {
        "key": "rgw_keystone_admin_user", 
        "value": ""
    }, 
    {
        "key": "mds_reconnect_timeout", 
        "value": "45"
    }, 
    {
        "key": "setuser", 
        "value": "ceph"
    }, 
    {
        "key": "kinetic_use_ssl", 
        "value": "false"
    }, 
    {
        "key": "osd_deep_scrub_interval", 
        "value": "604800"
    }, 
    {
        "key": "bluestore_overlay_max_length", 
        "value": "65536"
    }, 
    {
        "key": "client_tick_interval", 
        "value": "1"
    }, 
    {
        "key": "osd_heartbeat_min_peers", 
        "value": "10"
    }, 
    {
        "key": "filestore_max_xattr_value_size_btrfs", 
        "value": "65536"
    }, 
    {
        "key": "bluefs_log_compact_min_ratio", 
        "value": "5"
    }, 
    {
        "key": "osd_crush_chooseleaf_type", 
        "value": "1"
    }, 
    {
        "key": "osd_erasure_code_plugins", 
        "value": "jerasure lrc isa"
    }, 
    {
        "key": "osd_snap_trim_cost", 
        "value": "1048576"
    }, 
    {
        "key": "mon_globalid_prealloc", 
        "value": "10000"
    }, 
    {
        "key": "bluestore_bluefs", 
        "value": "true"
    }, 
    {
        "key": "kstore_max_bytes", 
        "value": "67108864"
    }, 
    {
        "key": "bluestore_debug_misc", 
        "value": "false"
    }, 
    {
        "key": "bluestore_wal_thread_timeout", 
        "value": "30"
    }, 
    {
        "key": "debug_bluefs", 
        "value": "1/5"
    }, 
    {
        "key": "rgw_data_log_num_shards", 
        "value": "128"
    }, 
    {
        "key": "bluestore_sync_transaction", 
        "value": "false"
    }, 
    {
        "key": "ms_die_on_old_message", 
        "value": "false"
    }, 
    {
        "key": "auth_supported", 
        "value": ""
    }, 
    {
        "key": "rgw_thread_pool_size", 
        "value": "100"
    }, 
    {
        "key": "bdev_aio_max_queue_depth", 
        "value": "32"
    }, 
    {
        "key": "filestore_fiemap", 
        "value": "false"
    }
]

Comment 7 Ju Lim 2016-06-16 17:46:52 UTC
It should display the default paths here (and basically it would be what's in the ceph.conf on the Mon).  Hardcoding would work if users are not changing the defaults.  If you import a Cluster, this hardcoded paths could potentially not be the same.

+1 that you probably do need to file a bug on Calamari API.  If not possible in time for 1.0, it's probably also okay to consider not including it in 1.0 (if we don't have enough time to fix this).

Comment 8 Nishanth Thomas 2016-06-22 09:00:14 UTC
Need to remove the wrongly displayed attributes from the UI

Comment 10 Martin Bukatovic 2016-07-19 15:13:05 UTC
Checking with:

rhscon-ui-0.0.48-1.el7scon.noarch
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64

I see that the following lines (as specified in this BZ):

* Keyring file Path
* Default Log File
* Default Journal Path
* Default OSD Data Path

are no longer displayed in the "Ceph Cluster Configuration" table in
Configuration tab of a cluster page, as has been decided in comment 7 and 
comment 8.

>> VERIFIED

Comment 12 errata-xmlrpc 2016-08-23 19:55:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754


Note You need to log in before you can comment on or make changes to this bug.